
/*
 * 初始化变量
 * */
var flag = 0;
var typeFlag = "";
var repeat;
var loadFlag = false;
var loadover = false;
var choosed=false;
var mySwiper;
var filters = {};
filters.bank = "";
filters.limit = "";
filters.grade = "";
filters.cardType = "";
var b=6;
var locationInfo;
var cardInfo;
var province;
var city;

$(function() {
    var isDeviceReady = false;

    var deviceReadyListener = function() {
        isDeviceReady = true;
        UmsApi.notification.setTitle("申请信用卡");
        onInit();
    };

    var interval=setInterval(function(){
        if(!isDeviceReady && Object.prototype.toString.call(UmsApi)=="[object Object]"){
            deviceReadyListener();
            deviceReadyListener = null;
            clearInterval(interval);
        }else if(isDeviceReady){
            clearInterval(interval);
        }
    },500);
});

function initSwiper() {
    $("body").bind('touchmove', function(e) {e.preventDefault();}, false);   //取消默认滑动事件，防止ios的橡皮筋效果

    /*上拉下滑*/
    var holdPosition = 0;
    mySwiper = new Swiper('.swiper-container',{
        slidesPerView:'auto',
        mode:'vertical',
        watchActiveIndex: true,
        onTouchStart: function(e) {
            holdPosition = 0;
        },
        onResistanceBefore: function(s, pos){
            holdPosition = pos;
        },
        onTouchEnd: function(e){
            //上拉刷新重置筛选条件
            /*  if (holdPosition>150) {
             mySwiper.setWrapperTranslate(0,50,0);
             mySwiper.params.onlyExternal=true;
             $('.preloader').addClass('visible');
             $("#noData").hide();
             refreshSlides();
             }*/
            holdPosition = e.touches.diff;
            //下拉加载更多
            if (holdPosition < 0) {   // && (b==6 ) &&(!choosed)
                $("body").unbind('touchmove');

                loadFlag = true;
                mySwiper.setWrapperTranslate(0,-50,0);
                mySwiper.params.onlyExternal=true;
                $('.newloader').addClass('visible');
                $(".newloader").css("display","");
                $("#loadMore").css("display","none");
                loadNewSlides();
            }
        }
    });
}

function onInit() {
    try {
        locationInfo = UmsApi.globalization.getLocation();
        province = locationInfo.province.substr(0,2) || "";//省份名称
        city = locationInfo.city.substr(0,2) || "" ;
        // province = "重庆" ;
        // city = "重庆" ;
        if(province !="" && province != undefined){
            checkCity();
        }else{
            cardInfo = allCardConfig["全国"]["全国"];
            appendItem(cardInfo,"swiper-container");    //根据定位地区生成推荐列表
        }
    } catch (e) {
        UmsApi.notification.error("error [e.message]=" + e.message);
    }
}

function checkCity() {
    if(allCardConfig[province] == undefined){
        cardInfo = allCardConfig["全国"]["全国"];
    }else if(allCardConfig[province] != undefined){
        if(allCardConfig[province].city.indexOf(city) < 0){
            cardInfo = allCardConfig["全国"]["全国"];
        }else {
            cardInfo = allCardConfig[province][city];
        }
    }
    appendItem(cardInfo,"swiper-container");    //根据定位地区生成推荐列表
}

//下拉加载更多
function loadNewSlides(){
    setTimeout(function(){
        mySwiper.setWrapperTranslate(0,0,0);
        if(!loadover){
            loadover=true;
        }
        //mySwiper.params.onlyExternal=false;
        mySwiper.updateActiveSlide(0);
        $(".twoo1").css("display","block");
        $('.newloader').removeClass('visible');
        $("#loadover").show();
        $(".newloader").css("display","none");
    },1000);
    // refreshSlides()
}
//上拉刷新重置筛选条件
function refreshSlides() {
    setTimeout(function(){
        mySwiper.setWrapperTranslate(0,0,0);
        mySwiper.params.onlyExternal=false;
        mySwiper.updateActiveSlide(0);
        $('.preloader').removeClass('visible');
        /*重置筛选条件，移除筛选列表已选项目*/
        $('[class="filterList-item-body"] input[type="radio"]').removeAttr('checked');
        $(".checkedBank-icon").css("width","0");
        $("#bankLabel").text("银行");
        $("#limitLabel").text("额度");
        $("#gradeLabel").text("等级");
        $("#cardTypeLabel").text("卡组织");
        $(".select").each(function () {
            $(this).children(0).css("color","#3c3c3c");
            $(this).children(1).children(0).attr("src","images/arrow-down.png");
        });
        /*重置筛选filters*/
        filters.bank = "";
        filters.limit = "";
        filters.grade = "";
        filters.cardType = "";
        /*重置卡片展示*/
        var len = $(".twoo1");
        for(var i=0;i<len.length;i++){
            if (loadFlag == true){
                len.eq(i).css("display","block");
                $("#loadMore").css("display","none");

                /*$("#loadover").hide();
                 $(".newloader").hide();
                 $("#loadMore").hide();*/
            }else {
                if(i<6){
                    len.eq(i).css("display","block");
                }else {
                    len.eq(i).css("display","none");
                }
                $("#loadMore").css("display","block");
            }
        }
    },1000);
}

function filterCard(condition){
    flag++;
    //判断选择筛选项目
    if(typeFlag == condition){
        repeat = true;
    }else {
        flag = 1;
        repeat = false;
        typeFlag = condition;
    }
    showType(condition);
    filterDiv(condition);
}

function filterDiv(condition) {
    var filterId = $("#"+ condition);
/*
* 根据筛选菜单的选中状态改变其样式
* $("#input"+ condition)--[class="filterElements"]下的radio id
* */
    $('[class="filterElements"] input[type="radio"]').removeAttr('checked') && $("#input"+ condition).attr("checked",'true');
    $("[class='filterElements'] input[type='radio']").each(function () {
        if($(this).attr("checked") && repeat == false){
            if($(this).prev().prev().css("color") == "rgb(238, 90, 24)"){
                $(this).prev().children(0).attr("src","images/red-arrow-up.png");
            }else {
                $(this).prev().children(0).attr("src","images/arrow-up.png");
            }
        }else {
            if($(this).prev().prev().css("color") == "rgb(238, 90, 24)"){
                $(this).prev().children(0).attr("src","images/red-arrow-down.png");
            }else {
                $(this).prev().children(0).attr("src","images/arrow-down.png");
            }
        }
    });
    if(flag%2 == 0){
        if(filterId.children(0).css("color") == "rgb(238, 90, 24)"){
            filterId.children(1).children(0).attr("src","images/red-arrow-down.png");
        }else {
            filterId.children(1).children(0).attr("src","images/arrow-down.png");
        }
        if(repeat == true){
            $(".filterList-box").css("display","none");
        }else {}
    }else {
        if(filterId.children(0).css("color") == "rgb(238, 90, 24)"){
            filterId.children(1).children(0).attr("src","images/red-arrow-up.png");
        }else {
            filterId.children(1).children(0).attr("src","images/arrow-up.png");
        }
    }
}

/*
* $("#input"+ id)--[class="filterList-item-body"]下的radio
* $("#"+ condition + "Label")--筛选菜单的文字所在的div
* *筛选列表选择*/
function checkFilter(id,type,value) {
    //$("#loadMore").css("display","none");
   // $(".newloader").css("display","none");
    //$("#loadover").hide();
     b=0; flag = 0;
    var filterBoxId = $("#"+ type + "Label");
    var filterId = $("#"+ id);
    filterBoxId.text(filterId.children(0).text());
    filterBoxId.css("color","#ee5a18");
    $("#"+ type).children(1).children(0).attr("src","images/red-arrow-down.png");
    /*
     * 选择筛选条件，设为checked,并显示选中图标
     * */
    $('[class="filterList-item-body"] input[type="radio"]').removeAttr('checked') && filterId.children(1).attr("checked",'true');
    $("[class='filterList-item-body'] input[type='radio']").each(function () {
        if($(this).attr("checked")){
            $(this).next().css("width","1.3rem");
        }else {
            $(this).next().css("width","0");
        }
    });
    /*
    * 选中条件后隐藏列表并筛选----$(".filterList-box")
    * b---或得初始显示的卡片数
    * noData---未查到数据提示语
    * filters---选择的条件对象
    * */
    var twoo1 = $(".twoo1");
    filters = filterObject(type,value);
    $(".filterList-box").css("display","none");
    twoo1.each(function () {
        if($(this).css("display") == "block"){
            b++;
        }
    });
    if(b == 0){  //没有筛选
        $("#noData").show();
        $("#loadover").hide();
        $(".newloader").hide();
        $("#loadMore").hide();

    }else if(b==6){//筛选到了6
        $("#noData").hide();
        $("#loadover").hide();
        if(loadover || choosed){
            $(".newloader").hide();
            $("#loadMore").hide();
        }else{
            $(".newloader").show();
            $("#loadMore").show();
        }

    }
    else if(b==9){//筛选到了6
        $("#noData").hide();
        $("#loadover").hide();
        $(".newloader").hide();
        $("#loadMore").hide();
    }
    else{
        $("#noData").hide();
        $("#loadover").hide();
        $(".newloader").hide();
        $("#loadMore").hide();
    }
    if(loadFlag == true){
        for(var i=0;i<twoo1.length;i++){
            if(twoo1.eq(i).children("span:contains('" + filters.bank + "')").length>0 && twoo1.eq(i).children("span:contains('" + filters.limit + "')").length>0
                && twoo1.eq(i).children("span:contains('" + filters.grade + "')").length>0 && twoo1.eq(i).children("span:contains('" + filters.cardType + "')").length>0){
                twoo1.eq(i).css("display","block");
            }else {
                twoo1.eq(i).css("display","none");
            }
        }
    }else {
        for(var j=0;j<9;j++){
            if(twoo1.eq(j).children("span:contains('" + filters.bank + "')").length>0 && twoo1.eq(j).children("span:contains('" + filters.limit + "')").length>0
                && twoo1.eq(j).children("span:contains('" + filters.grade + "')").length>0 && twoo1.eq(j).children("span:contains('" + filters.cardType + "')").length>0){
                twoo1.eq(j).css("display","block");
            }else {
                twoo1.eq(j).css("display","none");
            }
        }
    }
    //筛选过后的twool个数，设置最后的background
    var a = 0;
    twoo1.each(function () {
        $(this).css("background","");
        if($(this).css("display") == "block"){
            a = $(this).index();
        }
    });
    twoo1.eq(a).css("background","none");
}
/*
* 根据点击筛选表头的值确定展示的筛选列表内容
* */
function showType(condition) {
    if(condition == "bank"){
        $("#bankfilterList-box").css("display","block");
        $("#limitfilterList-box").css("display","none");
        $("#gradefilterList-box").css("display","none");
        $("#cardTypefilterList-box").css("display","none");
    }else if(condition == "limit"){
        $("#bankfilterList-box").css("display","none");
        $("#limitfilterList-box").css("display","block");
        $("#gradefilterList-box").css("display","none");
        $("#cardTypefilterList-box").css("display","none");
    }else if(condition == "grade"){
        $("#bankfilterList-box").css("display","none");
        $("#limitfilterList-box").css("display","none");
        $("#gradefilterList-box").css("display","block");
        $("#cardTypefilterList-box").css("display","none");
    }else if(condition == "cardType"){
        $("#bankfilterList-box").css("display","none");
        $("#limitfilterList-box").css("display","none");
        $("#gradefilterList-box").css("display","none");
        $("#cardTypefilterList-box").css("display","block");
    }
}
/*
 * filters---选择筛选条件，根据type赋值
 * bank----银行
 * limit----额度
 * grade----等级
 * cardType----卡组织
 * */
function filterObject(type,value) {
    loadover=true;
    if(type == "bank"){
        if(value == "all"){
            filters.bank = "";
          //  choosed=false;
        }else {
         //   choosed=true;
            filters.bank = value;
        }
    }else if(type == "limit"){
        if(value == "all"){
            filters.limit = "";
            //choosed=false;
        }else {
           // choosed=true;
            filters.limit = value;
        }
    }else if(type == "grade"){
        if(value == "all"){
            filters.grade = "";
           // choosed=false;
        }else {
            //choosed=true;
            filters.grade = value;
        }
    }else if(type == "cardType"){
        if(value == "all"){
            filters.cardType = "";
           // choosed=false;
        }else {

            filters.cardType = value;
        }
       // filters.cardType = value;
    }
    return filters;
}

/**
 * 遍历数据，创建列表
 * @data 数据
 * @appendId 创建item的所在位置
 */
function appendItem(data,appendId) {
    var appendItemId = $("#"+appendId);
    var strtitle ='<div class="swiper-wrapper">'
                 +      '<div class="twoo">';
    var endStr = '<div id="loadMore">上拉加载更多</div><div class="newloader"> 正在加载... </div><div id="loadover">已加载完毕</div></div>'
        +'<div id="noData">无符合条件数据，请刷新或重新查询</div>'
        +'</div>';
    var miStr = "";
    for(var n = 0; n < data.length; n++){
        miStr = miStr + '<div class="twoo1 filtr-item" id="twoo1'+ n +'" onclick="'+ data[n].info.href + '">'
                 +   '<div class="lefttext1">' + data[n].info.cardName + '</div>'
                 +   '<div class="lefttext2">' + data[n].info.cardInfo + '</div>'
                 +   '<div class="rightimg"><img src="' + data[n].info.imageSrc + '"></div>'
                 +   '<span style="display: none">' + data[n].info.bank + '</span>'
                 +   '<span style="display: none">' + data[n].info.limit + '</span>'
                 +   '<span style="display: none">' + data[n].info.grade + '</span>'
                 +   '<span style="display: none">' + data[n].info.cardType + '</span>'
                 +   '</div>';
    }
    var Str = strtitle + miStr + endStr;
    appendItemId.append(Str);

    $("#twoo1"+ (data.length-1)).css("background","none");
    if(data.length < 6){
        $("#loadMore").css("display","none");
    }else {
        for(var m =6;m<data.length;m++){
            $("#twoo1" + m).css("display","none");
        }
        initSwiper();
    }
    /*初始化*/
    $("#noData").hide();
    $("#loadover").hide();
    $(".newloader").css("display","none");
}