require.config({
    paths: {
        "angular": "../../SHARE-BASE/js/angular",
        "angular-ios9-uiwebview-patch": "../../SHARE-BASE/js/angular-ios9-uiwebview-patch",
        "angular-route": "../../SHARE-BASE/js/angular-route",
        // "angular-sanitize": "../../SHARE-BASE/js/angular-sanitize",
        // "angular-touch": "../../SHARE-BASE/js/angular-touch",
        "jquery": "../../SHARE-BASE/js/jquery",
        "globalVar": "../../SHARE-CONF/js/globalVar",
        "tool": "../../SHARE-TOOL/js/tool",
        // "api":"../../SHARE-API/api",

    },
    waitSeconds: 0,
    shim: {
        "angular-ios9-uiwebview-patch": {
            deps: ["angular"],
            exports: "angular-ios9-uiwebview-patch"
        },
        "angular-route": {
            deps: ["angular"],
            exports: "angular-route"
        },
        "angular-sanitize": {
            deps: ["angular"],
            exports: "angular-sanitize"
        },
        "angular-touch": {
            deps: ["angular"],
            exports: "angular-touch"
        }
    }
});
define([
    "angular",
    "angular-ios9-uiwebview-patch",
    "angular-route",
    //"angular-sanitize",
    //"angular-touch",
    // "api",
    "jquery",
    "globalVar",
    "tool",
    "../../SHARE-FILTER/js/ums-trust-html",
    "../../UMS-BUTTON/js/ums-button",
    "../../UMS-INPUT/js/ums-input",
    "../../UMS-SELECT/js/ums-select",
    "common",
    "controllers",

], function() {
    //app模块依赖于后面的模块
	angular.module("app", [
        "ngRoute",
        "controllers",
	    "ums-button",
	    "ums-input",
        "ums-select",
	]).config(["$routeProvider", function($routeProvider) {
	            $routeProvider
           // 首页
            .when("/searchOrgan", {
                templateUrl: "views/searchOrgan.html",
                controller: "searchOrganController"
            })
            // 企业详情
                    .when("/corporateInfo", {
                        templateUrl: "views/corporateInfo.html",
                        controller: "corporateInfoController"
                    })
        .otherwise({
            redirectTo: "/searchOrgan"
        });
    }]).run(function($rootScope,$location, share) {
        document.addEventListener("deviceready", function(event) {
            $rootScope.$broadcast("deviceready", event);
        });

        document.addEventListener("androidback",function (event) {


        });

    });
});