/**
 * Created by zzf on 2017/7/18.
 */
var locationInfo;
var cardInfo;
var province;
var city;

$(function() {
    var isDeviceReady = false;

    var deviceReadyListener = function() {
        isDeviceReady = true;
        UmsApi.notification.setTitle("申请信用卡");
        doInit();
    };

    var interval=setInterval(function(){
        if(!isDeviceReady&& Object.prototype.toString.call(UmsApi)=="[object Object]"){
            deviceReadyListener();
            deviceReadyListener = null;
            clearInterval(interval);
        }else if(isDeviceReady){
            clearInterval(interval);
        }
    },500);
});

function doInit() {
    try {
        locationInfo = UmsApi.globalization.getLocation();
        province = locationInfo.province.substr(0,2) || "";//省份名称
        city = locationInfo.city.substr(0,2) || "" ;
        // province = "" ;
        // city = "" ;
        /*alert(JSON.stringify(locationInfo));
        alert(province+"...."+city)*/
        if(city=="上海"&&(province =="" || province == undefined)){
            province=city;
        }
        if(province !="" && province != undefined){
            checkCity();
        }else{
            cardInfo = allCardConfig["全国"]["全国"];
            appendIndexItem(cardInfo,"twoo");    //根据定位地区生成推荐列表
        }
    } catch (e) {
        UmsApi.notification.error("error [e.message]=" + e.message);
    }
}

function checkCity() {
    if(allCardConfig[province] == undefined){
        cardInfo = recommendConfig["default"];
    }else if(allCardConfig[province] != undefined){
        if(allCardConfig[province].city.indexOf(city)<0){
            cardInfo = recommendConfig["default"];
        }else {
            cardInfo = allCardConfig[province][city];
        }
    }
    appendIndexItem(cardInfo,"twoo");    //根据定位地区生成推荐列表
}

/**
 * 遍历数据，创建列表
 * @data 数据
 * @appendId 创建item的所在位置
 */
function appendIndexItem(data,appendId) {
    //定位地区卡数量小于3个，用默认的卡信息填充
    if(data.length < 3){
        var len = 3 - data.length;
        for(var j=len;j>=1;j--){
            data.push(recommendConfig["default"][j]);
        }
    }
    var appendItemId = $("#"+appendId);
    var Str = "";
    for(var n = 0; n < 3; n++){
        Str = Str + '<div class="twoo1" onclick="' + data[n].info.href + '">'
            +   '<div class="lefttext1">' + data[n].info.cardName + '</div>'
            +   '<div class="lefttext2">' + data[n].info.cardInfo + '</div>'
            +   '<div class="rightimg"><img src="' + data[n].info.imageSrc + '" style="height:3rem;width:4.8125rem;"></div>'
            +   '<div class="xian1"></div>'
            +   '</div>';
    }
    appendItemId.append(Str);
}