var cardInfo = null;

function init() {
	document.addEventListener("deviceready", function(event) {
		UmsApi.notification.tip("deviceready>>>>>>>>>> [data]="
			+ JSON.stringify(event.eventParam));
	});
	
	document.addEventListener("resume", function(event) {
		UmsApi.notification.tip("resume>>>>>>>>>> [data]="
			+ JSON.stringify(event.eventParam));
	});
	
	document.addEventListener("shakeMotionNoti", function(event) {
		UmsApi.notification.tip("shakeMotionNoti>>>>>>>>>> [data]="
			+ JSON.stringify(event.eventParam));
	});
	
	document.addEventListener("netStatusNoti", function(event) {
		UmsApi.notification.tip("netStatusNoti>>>>>>>>>> [data]="
			+ JSON.stringify(event.eventParam));
	});
	
	document.addEventListener("boxStatusNoti", function(event) {
		UmsApi.notification.tip("boxStatusNoti>>>>>>>>>> [data]="
			+ JSON.stringify(event.eventParam));
	});
}

function sign(){
	var json = {}
			json.agentMID="898370027410113";
            json.amount = "100";
            json.merchantId = '898310054114016';
            json.merchantUserId = '00000000001';
            json.merOrderId = ((Date.parse(new Date())/1000)+""+(Math.round(Math.random()*999999999))).substring(0,10);;
            json.notifyUrl = 'http://www.chinaums.com';
            //json.sign = sign;
            json.userId = '';
		UmsApi.custom["getSign"](json, function(data) {
			alert(JSON.stringify(data));
		});
}

function myalert() {
	try {
		UmsApi.notification
				.dialog(
						"1",
						"alert调用标题",
						"alert调用内容",
						"按钮1,按钮2,按钮3",
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("alert callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("alert callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("alert callback>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("alert>>>>>>>>>> [e.message]=" + e.message);
	}
}

function tip() {
	UmsApi.notification.tip("tip>>>>>>>>>>");
}

function warning() {
	UmsApi.notification.warning("warning>>>>>>>>>>");
}

function error() {
	UmsApi.notification.error("error>>>>>>>>>>");
}

function toast() {
	try {
		UmsApi.notification.toast("toast>>>>>>>>>>");
	} catch (e) {
		UmsApi.notification.error("toast>>>>>>>>>> [e.message]=" + e.message);
	}
}

function showSelect() {
	try {
		var amountArray = [ [ "20", "20元(售价20元)" ], [ "30", "30元(售价30元)" ],
				[ "50", "50元(售价50元)" ], [ "100", "100元(售价100元)" ] ];
		UmsApi.notification.showSelect(amountArray, 2, function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("showSelect callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("showSelect callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("showSelect callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("showSelect>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getClientInfo() {
	try {
		var clientInfo = UmsApi.globalization.getClientInfo();
		if (clientInfo == undefined || clientInfo == null) {
			UmsApi.notification
					.error("getClientInfo>>>>>>>>>> [clientInfo]为空.");
		} else {
			UmsApi.notification.tip("getClientInfo>>>>>>>>>> [clientInfo]="
					+ JSON.stringify(clientInfo));
		}
	} catch (e) {
		UmsApi.notification.error("getClientInfo>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getUserInfo() {
	try {
		var userInfo = UmsApi.globalization.getUserInfo();
		if (userInfo == undefined || userInfo == null) {
			UmsApi.notification.error("getUserInfo>>>>>>>>>> [userInfo]为空.");
		} else {
			UmsApi.notification.tip("getUserInfo>>>>>>>>>> [userInfo]="
					+ JSON.stringify(userInfo));
		}
	} catch (e) {
		UmsApi.notification.error("getUserInfo>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getLocation() {
	try {
		var locationInfo = UmsApi.globalization.getLocation();
		if (locationInfo == undefined || locationInfo == null) {
			UmsApi.notification
					.error("getLocation>>>>>>>>>> [locationInfo]为空.");
		} else {
			UmsApi.notification.tip("getLocation>>>>>>>>>> [locationInfo]="
					+ JSON.stringify(locationInfo));
		}
	} catch (e) {
		UmsApi.notification.error("getLocation>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getBoxInfo() {
	try {
		var boxInfo = UmsApi.globalization.getBoxInfo();
		if (boxInfo == undefined || boxInfo == null) {
			UmsApi.notification.error("getBoxInfo>>>>>>>>>> [boxInfo]为空.");
		} else {
			UmsApi.notification.tip("getBoxInfo>>>>>>>>>> [boxInfo]="
					+ JSON.stringify(boxInfo));
		}
	} catch (e) {
		UmsApi.notification.error("getBoxInfo>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getNetworkStatus() {
	try {
		var netStatus = UmsApi.globalization.getNetworkStatus();
		if (netStatus == undefined || netStatus == null) {
			UmsApi.notification
					.error("getNetworkStatus>>>>>>>>>> [netStatus]为空.");
		} else {
			UmsApi.notification.tip("getNetworkStatus>>>>>>>>>> [netStatus]="
					+ JSON.stringify(netStatus));
		}
	} catch (e) {
		UmsApi.notification.error("getNetworkStatus>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function log() {
	try {
		UmsApi.base.log.info("log", "info", "test1", "test2");
		UmsApi.base.log.error("log", "error", "test3", "test4");
		UmsApi.base.log.debug("log", "debug", "test5", "test6");
		UmsApi.base.log.warning("log", "warning", "test7", "test8");
	} catch (e) {
		UmsApi.notification.error("log>>>>>>>>>> [e.message]=" + e.message);
	}
}

function registerApi() {
	try {
		/*var type = "6032";
		var action = "";
		var reflectClazz = "com.chinaums.open.load.extprocessor.OpenRealNameExtProcessor";*/
		var type = "8100";
		var action = "";
		var reflectClazz = "UMSThirdPaySignTask";
		var isSuccess = UmsApi.base.registerApi(type, action, reflectClazz,"getSign");
		UmsApi.notification.tip("registerApi success = " + isSuccess);
		
		//if (isSuccess) {
		//	UmsApiBridge.invoke(type, action, {}, function(data) {
		//		UmsApi.notification.tip("register api called [data] = " + JSON.stringify(data));
		//	});
		//} else {
		//	UmsApi.notification.tip("registerApi>>>>>>>>>>[type]=" + type
		//			+ " [action]=" + action + " [reflectClazz]=" + reflectClazz
		//			+ " [isSuccess]=" + isSuccess);
		//}
	} catch (e) {
		UmsApi.notification.error("registerApi>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function call() {
	try {
		var uri = "/v1/mobile/generic/order";

		var json = {};
		json.mobiNoRecharge = "13818940890";
		json.mobileOperatorId = "01";
		json.msgType = "61000200";
		json.amount = "1000";

		UmsApi.base
				.call(
						uri,
						json,
						null,
						null,
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("call success callback error>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("call success callback success>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("call success callback error>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("call>>>>>>>>>> [e.message]=" + e.message);
	}
}

function getResult() {
	try {
		var data = UmsApi.data.global.get();
		if (data == undefined || data == null) {
			UmsApi.notification.error("getResult>>>>>>>>>> [data]为空.");
		} else {
			UmsApi.notification.tip("getResult>>>>>>>>>> [data]="
					+ JSON.stringify(data));
		}
	} catch (e) {
		UmsApi.notification.error("getResult>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function setResult(backNum) {
	try {
		var json = {};
		json.backNum = "往后跳转的backNum为：" + backNum;
		UmsApi.notification.tip("setResult>>>>>>>>>> [data]="
				+ JSON.stringify(json));
		var isSuccess = UmsApi.data.global.set(json);
		UmsApi.notification.tip("setResult>>>>>>>>>> [success]=" + isSuccess);
		return isSuccess;
	} catch (e) {
		UmsApi.notification.error("setResult>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function localQuery() {
	try {
		var data = UmsApi.data.local.get("key0001");
		if (data == undefined || data == null) {
			UmsApi.notification.error("localQuery key0001>>>>>>>>>> [data]为空.");
		} else {
			UmsApi.notification.tip("localQuery>>>>>>>>>> [data]="
					+ JSON.stringify(data));
		}
	} catch (e) {
		UmsApi.notification.error("localQuery key0001>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function localSave() {
	try {
		var isSuccess = UmsApi.data.local.set("key0001", "00003", {
			"a" : "1",
			"b" : "2"
		});
		if (isSuccess) {
			UmsApi.notification.tip("localSave key0001>>>>>>>>>> 成功.");
		} else {
			UmsApi.notification.error("localSave key0001>>>>>>>>>> 失败.");
		}
	} catch (e) {
		UmsApi.notification.error("localSave key0001>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function localUpdate() {
	try {
		var isSuccess = UmsApi.data.local.set("key0001", "00003", {
			"a" : "3",
			"b" : "4"
		});
		if (isSuccess) {
			UmsApi.notification.tip("localUpdate key0001>>>>>>>>>> 成功.");
		} else {
			UmsApi.notification.error("localUpdate key0001>>>>>>>>>> 失败.");
		}
	} catch (e) {
		UmsApi.notification.error("localUpdate key0001>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function localDeleted() {
	try {
		var isSuccess = UmsApi.data.local.remove("key0001", "00003");
		if (isSuccess) {
			UmsApi.notification.tip("localDeleted key0001>>>>>>>>>> 成功.");
		} else {
			UmsApi.notification.error("localDeleted key0001>>>>>>>>>> 失败.");
		}
	} catch (e) {
		UmsApi.notification.error("localDeleted key0001>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function gotoNext2(backNum) {
	var json = {};
	json.abc = "next2";
	if (backNum != null) {
		json.backNum = backNum;
	}
	UmsApi.page.forwardBizPageByRelativeUrl("next2.html", json);
}

function gotoSubNext2(backNum) {
	var json = {};
	json.abc = "subNext2";
	if (backNum != null) {
		json.backNum = backNum;
	}
	UmsApi.page.forwardBizPageByRelativeUrl("sub/next2.html", json);
}

function gotoNext3(backNum) {
	var json = {};
	json.abc = "next3";
	if (backNum != null) {
		json.backNum = backNum;
	}
	UmsApi.page.forwardBizPageByRelativeUrl("next3.html", json);
}

function gotoNative() {
	var json = {};
	UmsApi.page.forwardNativePage("common", json);
}

function goBack(backNum) {
	var isSetSuccess = setResult(backNum);
	UmsApi.notification.tip("goBack global set>>>>>>>>>> [isSetSuccess]="
			+ isSetSuccess);
	if (isSetSuccess) {
		UmsApi.page.back(backNum);
	} else {
		UmsApi.notification.error("goBack global set>>>>>>>>>> 错误.");
	}
}

function phoneRecharge() {
	try {
		var uri = "/v1/mobile/generic/order";

		var json = {};
		json.mobiNoRecharge = "13818940890";
		json.mobileOperatorId = "01";
		json.msgType = "61000220";
		json.amount = "1";

		UmsApi.base
				.call(
						uri,
						json,
						null,
						null,
						null,
						null,
						null,
						null,
						function(orderResp) {
							try {
								if (orderResp == null || orderResp == undefined) {
									UmsApi.notification
											.error("phoneRecharge order callback error>>>>>>>>>> [orderResp]为空.");
									return;
								}
								UmsApi.notification
										.tip("phoneRecharge order callback success>>>>>>>>>> [orderResp]="
												+ JSON.stringify(orderResp));
								var payJson = {};
								payJson.orderId = orderResp.bizData.orderId;
								payJson.msgType = "21000220";
								payJson.amount = "1";
								payJson.saleTypes = [{
									saleType: "CARD_PAY"
								}, {
									saleType: "NO_CARD_PAY"
								}, {
									saleType: "FAST_PAY"
								}, {
									saleType: "UMS_AC_PAY"
								}];
								payJson.supportICCard = true;
								payJson.supportContactless = false;
								payJson.supportDowngrade = true;
								payJson.supportRevert = false;
								payJson.transactionType = 1;
								payJson.title = "测试手机充值标题";
								payJson.hint = "测试手机充值提示";
								payJson.supportSaleSlip = true;
								payJson.uri = "/v1/mobile/generic/pay";
								UmsApi.page
										.pay(
												payJson,
												null,
												null,
												null,
												null,
												function(payResp) {
													try {
														if (payResp == null
																|| payResp == undefined) {
															UmsApi.notification
																	.error("phoneRecharge pay callback error>>>>>>>>>> [payResp]为空.");
															return;
														}
														UmsApi.notification
																.tip("phoneRecharge pay callback success>>>>>>>>>> [payResp]="
																		+ JSON
																				.stringify(payResp));
													} catch (e) {
														UmsApi.notification
																.error("phoneRecharge pay callback error>>>>>>>>>> [e.message]="
																		+ e.message);
													}
												});
							} catch (e) {
								UmsApi.notification
										.error("phoneRecharge order callback error>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("phoneRecharge error>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function queryBalance() {
	try {
		var uri = "/v1/mobile/generic/order";

		var json = {};
		json.msgType = "61000507";
		json.amount = "0";

		UmsApi.base
				.call(
						uri,
						json,
						function(orderResponse) {
							try {
								UmsApi.notification
										.tip("queryBalance order success callback >>>>>>>>>> [data]="
												+ JSON.stringify(orderResponse));
								var payJson = {};
								payJson.orderId = orderResponse.orderId;
								payJson.msgType = "21000507";
								payJson.saleTypes = [{
									saleType: "CARD_PAY"
								}];
								payJson.boxType = "1";
								payJson.supportICCard = true;
								payJson.supportContactless = false;
								payJson.supportDowngrade = false;
								payJson.supportRevert = false;
								payJson.transactionType = 4;
								payJson.supportSaleSlip = false;
								payJson.title = "余额查询标题";
								payJson.hint = "余额查询提示";
								payJson.uri = "/v1/mobile/generic/pay";
								UmsApi.page
										.pay(
												payJson,
												function(payResposne) {
													try {
														UmsApi.notification
																.tip("queryBalance pay success callback >>>>>>>>>> [data]="
																		+ JSON
																				.stringify(payResposne));
													} catch (e) {
														UmsApi.notification
																.error("queryBalance pay success callback error>>>>>>>>>> [e.message]="
																		+ e.message);
													}
												});
							} catch (e) {
								UmsApi.notification
										.error("queryBalance order callback error>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("queryBalance >>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function phoneRechargeSalesSlip() {
	try {
		var orderId = "032015072428392364";
		UmsApi.page
				.forwardSalesSlip(
						orderId,
						null,
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("phoneRechargeSalesSlip callback error>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("phoneRechargeSalesSlip callback success>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("phoneRechargeSalesSlip callback error>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification
				.error("phoneRechargeSalesSlip >>>>>>>>>> [e.message]="
						+ e.message);
	}
}

function creditCardPay() {
	try {
		var uri = "/v1/mobile/generic/order";

		var json = {};
		json.msgType = "61000327";
		json.amount = "10";
		json.creditCardNo = "6222530619650117";
		json.billAmount = "10";
		json.mobileSMS = "15071140968";
		json.creditUserName = "李诗君";

		UmsApi.base.call(uri, json, function(orderResponse) {
			try {
				UmsApi.notification
					.tip("creditCardPay order success callback >>>>>>>>>> [data]="
					+ JSON.stringify(orderResponse));

				var payJson = {};
				payJson.msgType = "21000327";
				payJson.flag = "0";
				payJson.flag2 = "0";
				payJson.orderId = orderResponse.orderId;
				payJson.amount = "10";
				payJson.payType = [["4-2", "4-2"]];
				payJson.saleTypes = [{
					saleType: "NO_CARD_PAY", cardType: "D", payChannel:"DYN_CONF"
				}];
				payJson.uri = "/v1/mobile/generic/pay";

				UmsApi.page.pay(payJson, function(payResposne) {
					try {
						UmsApi.notification
							.tip("creditCardPay pay success callback >>>>>>>>>> [data]="
							+ JSON
								.stringify(payResposne));
					} catch (e) {
						UmsApi.notification
							.error("creditCardPay pay success callback error>>>>>>>>>> [e.message]="
							+ e.message);
					}
				});
			} catch (e) {
				UmsApi.notification
					.error("creditCardPay order callback error>>>>>>>>>> [e.message]="
					+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("creditCardPay >>>>>>>>>> [e.message]="
			+ e.message);
	}
}

function JXTelecomRecharge() {
	try {
		var uri = "/v1/mobile/generic/query";

		var json = {};
		json.msgType = "11079203";
		json.tranType = "10";
		json.userCode = "15071140968";
		json.areaCode = "0791";

		// 查询
		UmsApi.base.call(uri, json, function(queryResponse) {
			var uri = "/v1/mobile/generic/order";

			var orderJson = {};
			orderJson.msgType = "61079203";
			orderJson.userCode = "15071140968";
			orderJson.areaCode = "0791";
			orderJson.amount = "10";
			orderJson.queryPlatformId = queryResponse.queryPlatformId;
			orderJson.payFlag = queryResponse.payFlag;
			orderJson.payNo = queryResponse.payNo;
			orderJson.payName = queryResponse.payName;
			orderJson.lastBalance = queryResponse.lastBalance;
			orderJson.nowOdd = queryResponse.nowOdd;
			orderJson.payMonth = queryResponse.payMonth;
			orderJson.servID = queryResponse.servID;
			// 下单
			UmsApi.base.call(uri, orderJson, function(orderResponse) {
				var payJson = {};
				payJson.msgType = "21079203";
				payJson.orderId = orderResponse.orderId;
				payJson.amount = "10";
				payJson.saleTypes = [{
					saleType: "CARD_PAY", payChannel:"PAY_CENTER"
				}, {
					saleType: "NO_CARD_PAY", payChannel:"PAY_CENTER"
				}, {
					saleType: "FAST_PAY", payChannel:"PAY_CENTER"
				}, {
					saleType: "UMS_AC_PAY", payChannel:"PAY_CENTER"
				}];
				payJson.uri = "/v1/mobile/generic/pay";

				// 支付
				UmsApi.page.pay(payJson, function(payResposne) {
					try {
						UmsApi.notification
							.tip("JXTelecomRecharge pay success callback >>>>>>>>>> [data]="
							+ JSON
								.stringify(payResposne));
					} catch (e) {
						UmsApi.notification
							.error("JXTelecomRecharge pay success callback error>>>>>>>>>> [e.message]="
							+ e.message);
					}
				});
			});
		});
	} catch (e) {
		UmsApi.notification.error("JXTelecomRecharge >>>>>>>>>> [e.message]="
			+ e.message);
	}
}

function scanBarcode() {
	try {
		UmsApi.device.scanBarcode(null, null, null, null, function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("scanBarcode callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification
						.tip("scanBarcode callback>>>>>>>>>> [data]="
								+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("scanBarcode callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("scanBarcode>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getTrackBySwipingCard() {
	try {
		UmsApi.device.getCardInfoBySwipingCard(null, null, null, null, null, function(
				data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("swipeCard callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("swipeCard callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
				cardInfo = data;
			} catch (e) {
				UmsApi.notification
						.error("swipeCard callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("swipeCard>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getOfflineData() {
	try {
		var identifier = "01";
		UmsApi.device
				.getOfflineData(
						identifier,
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("getOfflineData callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("getOfflineData callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("getOfflineData callback>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("getOfflineData>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function printSaleslip() {
	var print = "!hz sl\r\n!asc sl\r\n!yspace 4\r\n!gray 2\r\n*feedline 3\r\n*image c 384*68 #ums\r\n*feedline 1\r\n*line\r\n*text l 商户名称:\r\n*text l 小小点ddd\r\n*text l 商户编号:102290070110006\r\n*text l 终端编号:19057001\r\n!gray 10\r\n*text l 卡号:\r\n!asc nl\r\n*text l 6225 88** **** 3222\r\n!gray 2\r\n!hz sl\r\n!asc sl\r\n*text l 有效期: 2029/12    发卡行:招商银行\r\n*text l 收单行号:01022900   \r\n!hz l\r\n!asc l\r\n!gray 10\r\n*text l 交易类型:消费\r\n!gray 2\r\n!hz sl\r\n!asc sl\r\n*text l 批次号:000651    凭证号:002256\r\n*text l 日期:2015-05-25  时间:20:06:36\r\n*text l 授权码:          参考号:200637519115\r\n!hz l\r\n!asc l\r\n!gray 10\r\n*text l 金额:  RMB 0.01\r\n!gray 2\r\n!hz sl\r\n!asc sl\r\n*text l POS CSN: 00011003180000579227\r\n*text l 备注:\r\n*text l 持卡人签名:\r\n*text l   \r\n!hz s\r\n!asc s\r\n*text c 本人确认以上交易同意计入本卡账户\r\n*line\r\n*text l 银联商务客服热线 95534\r\n*text l 商户存根MERCHANT COPY\r\n*feedline 5\n";
	try {
		UmsApi.device.print(print, 2, null, null, null, null, function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("print callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("print callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("print callback error>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("print>>>>>>>>>> [e.message]=" + e.message);
	}
}

function synthesizeVoice() {
	try {
		var text = "调试程序需要打印一些消息出来，logcat不好用的话就很麻烦了。这个问题折腾了好久，为啥就是不出来呢？上网找了很多解决办法，重启eclipse";
		var queueMode = "";
		UmsApi.device
				.synthesizeVoice(
						text,
						queueMode,
						null,
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("synthesizeVoice callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("synthesizeVoice callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("synthesizeVoice callback error>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("synthesizeVoice>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function openWebPageBySelf() {
	try {
		var url = "http://www.baidu.com/";
		UmsApi.system.openWebPage
				.bySelf(
						url,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("openWebPageBySelf callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("openWebPageBySelf callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("openWebPageBySelf callback error>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("openWebPageBySelf>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function openWebPageBySysBrowser() {
	try {
		var url = "http://www.baidu.com/";
		UmsApi.system.openWebPage
				.bySysBrowser(
						url,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("openWebPageBySysBrowser callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("openWebPageBySysBrowser callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("openWebPageBySysBrowser callback error>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification
				.error("openWebPageBySysBrowser>>>>>>>>>> [e.message]="
						+ e.message);
	}
}

function openTel() {
	try {
		UmsApi.system.openTel("911", function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("openTel callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("openTel callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("openTel callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("openTel>>>>>>>>>> [e.message]=" + e.message);
	}
}

function pickContactPhone() {
	try {
		UmsApi.system.contacts
				.choose(
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("pickContactPhone callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("pickContactPhone callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("pickContactPhone callback>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("pickContactPhone>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function filterContactPhones() {
	try {
		UmsApi.system.contacts.query(
			"159",
			null,
			null,
			-1,
			null,
			null,
			null,
			null,
			function(data) {
				try {
					if (data == null || data == undefined) {
						UmsApi.notification
							.error("filterContactPhones callback>>>>>>>>>> [data]为空.");
						return;
					}
					UmsApi.notification
						.tip("filterContactPhones callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
				} catch (e) {
					UmsApi.notification
						.error("filterContactPhones callback>>>>>>>>>> [e.message]="
						+ e.message);
				}
			}
		);
	} catch (e) {
		UmsApi.notification.error("filterContactPhones>>>>>>>>>> [e.message]="
			+ e.message);
	}
}

function getCardDetailByCardNumber() {
	try {
		UmsApi.service.getCardDetail.byCardNumber("4581230113303780", function(
				data) {
			if (data == null || data == undefined) {
				UmsApi.notification
						.tip("getCardInfoByCardNumber >>>>>>>>>> [data]为空");
			} else {
				UmsApi.notification
						.error("getCardInfoByCardNumber >>>>>>>>>> [data]="
								+ JSON.stringify(data));
			}
		});

	} catch (e) {
		UmsApi.notification
				.error("getCardInfoByCardNumber >>>>>>>>>> [e.message]="
						+ e.message);
	}
}

function getCardDetailByTrack() {
	try {
		if (cardInfo == null || cardInfo == undefined) {
			UmsApi.notification
					.error("getCardInfoByTrack>>>>>>>>>> 调用前要先刷卡并且成功获得回调数据.");
			return;
		}
		UmsApi.service.getCardDetail.byTrack(cardInfo.bizData.track2, cardInfo.bizData.trackKsn,
				cardInfo.bizData.track2DataKsn, cardInfo.bizData.boxSid, null,
				null, null, null, function(data) {
					if (data == null || data == undefined) {
						UmsApi.notification
								.tip("getCardInfoByTrack >>>>>>>>>> [data]为空");
					} else {
						UmsApi.notification
								.error("getCardInfoByTrack >>>>>>>>>> [data]="
										+ JSON.stringify(data));
					}
				});
	} catch (e) {
		UmsApi.notification.error("getCardInfoByTrack >>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function uploadOfflineData() {
	try {
		var identifier = "01";
		UmsApi.service
				.uploadOfflineData(
						identifier,
						null,
						null,
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("uploadOfflineData callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("uploadOfflineData callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("uploadOfflineData callback>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("uploadOfflineData>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getPicture() {
	try {
		UmsApi.file.getPicture(null, null, null, null, null, function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("getPicture callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("getPicture callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("getPicture callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("getPicture>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function getLocalFile() {
	try {
		UmsApi.file
				.getLocalFile(
						null,
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("getLocalFile callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("getLocalFile callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("getLocalFile callback>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("getLocalFile>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function fileTransfer() {
	try {
		UmsApi.file
				.getPicture(
						{
							encodingType : 1,
							destinationType : 1,
							sourceType : 2,
							mediaType : 0
						},
						function(data) {
							try {
								if (data.imgUri == null
										|| data.imgUri == undefined) {
									UmsApi.notification
											.error("getPicture success callback>>>>>>>>>> [data.imgUri]为空.");
									return;
								}
								UmsApi.notification
										.tip("getPicture success callback>>>>>>>>>> [data.imgUri]="
												+ JSON.stringify(data.imgUri));
								var fileUri = data.imgUri;
								var serverUri = "http://144.131.254.30:9998/upload-server/upload/uploadFile";
								UmsApi.notification.tip("[fileUri]=" + fileUri
										+ "  [serverUri]=" + serverUri);
								UmsApi.file
										.fileTransfer(
												fileUri,
												serverUri,
												null,
												null,
												null,
												null,
												null,
												function(data) {
													try {
														if (data == null
																|| data == undefined) {
															UmsApi.notification
																	.error("fileTransfer callback>>>>>>>>>> [data]为空.");
															return;
														}
														UmsApi.notification
																.tip("fileTransfer callback>>>>>>>>>> [data]="
																		+ JSON
																				.stringify(data));
													} catch (e) {
														UmsApi.notification
																.error("fileTransfer callback>>>>>>>>>> [e.message]="
																		+ e.message);
													}
												});

							} catch (e) {
								UmsApi.notification
										.error("getPicture success callback>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("fileTransfer>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function encryptByPinPad() {
	try {
		var param = {};
		param.mainAccount = "6222003202102527565";
		param.calcFactor = "0";

		UmsApi.security
				.encryptByPinPad(
						param,
						null,
						null,
						null,
						null,
						function(data) {
							try {
								if (data == null || data == undefined) {
									UmsApi.notification
											.error("encryptByPinPad callback>>>>>>>>>> [data]为空.");
									return;
								}
								UmsApi.notification
										.tip("encryptByPinPad callback>>>>>>>>>> [data]="
												+ JSON.stringify(data));
							} catch (e) {
								UmsApi.notification
										.error("encryptByPinPad callback>>>>>>>>>> [e.message]="
												+ e.message);
							}
						});
	} catch (e) {
		UmsApi.notification.error("encryptByPinPad>>>>>>>>>> [e.message]="
				+ e.message);
	}
}

function powerOn() {
	try {
		UmsApi.apdu.powerOn(null, null, null, null, function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("powerOn callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("powerOn callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("powerOn callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification.error("powerOn>>>>>>>>>> [e.message]=" + e.message);
	}
}

function powerOff() {
	try {
		UmsApi.apdu.powerOff(null, null, null, null, function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("powerOff callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("powerOff callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("powerOff callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification
				.error("powerOff>>>>>>>>>> [e.message]=" + e.message);
	}
}

function sendApdu() {
	try {
		var apdu = "00a404000e315041592e5359532e444446303100";
		UmsApi.apdu.sendApdu(apdu, null, null, null, null, function(data) {
			try {
				if (data == null || data == undefined) {
					UmsApi.notification
							.error("sendApdu callback>>>>>>>>>> [data]为空.");
					return;
				}
				UmsApi.notification.tip("sendApdu callback>>>>>>>>>> [data]="
						+ JSON.stringify(data));
			} catch (e) {
				UmsApi.notification
						.error("sendApdu callback>>>>>>>>>> [e.message]="
								+ e.message);
			}
		});
	} catch (e) {
		UmsApi.notification
				.error("sendApdu>>>>>>>>>> [e.message]=" + e.message);
	}
}

function logclear() {
	try {
		UmsTool.console.clear();
	} catch (e) {
		UmsApi.notification
				.error("logclear>>>>>>>>>> [e.message]=" + e.message);
	}
}

function logprint() {
	try {
		var x = UmsTool.console.print();
		UmsApi.notification.error(x);
	} catch (e) {
		UmsApi.notification
			.error("logprint>>>>>>>>>> [e.message]=" + e.message);
	}
}

function setTitle() {
	try {
		UmsApi.notification.setTitle("title", function(data) {
			UmsApi.notification.toast("setTitle>>>>>>>callback");
		});
	} catch (e) {
		UmsApi.notification
			.error("setTitle>>>>>>>>>> [e.message]=" + e.message);
	}
}

function openRRSJ() {
	try {
		//var param = {};
		//param.serviceName = "openRRSJ";
		//UmsApi.page.forwardNativePage("qmfService", param);

		var type = "3102";
		var action = null;
		var reflectClazz = "openRRSJ";

		var isSuccess = UmsApi.base.registerApi(type, action, reflectClazz);

		if (isSuccess) {
			UmsApiBridge.invoke(type, action, {}, function(data) {
				UmsApi.notification.tip("openRRSJ called [data] = " + JSON.stringify(data));
			});
		} else {
			UmsApi.notification.tip("openRRSJ>>>>>>>>>>[type]=" + type
				+ " [action]=" + action + " [reflectClazz]=" + reflectClazz
				+ " [isSuccess]=" + isSuccess);
		}
	} catch (e) {
		UmsApi.notification
			.error("openRRSJ>>>>>>>>>> [e.message]=" + e.message);
	}
}

function openRealname() {
	try {
		//var param = {};
		//param.serviceName = "openRealname";
		//UmsApi.page.forwardNativePage("qmfService", param);

		var type = "3103";
		var action = null;
		var reflectClazz = "openRealname";

		var isSuccess = UmsApi.base.registerApi(type, action, reflectClazz);

		if (isSuccess) {
			UmsApiBridge.invoke(type, action, {}, function(data) {
				UmsApi.notification.tip("openRealname called [data] = " + JSON.stringify(data));
			});
		} else {
			UmsApi.notification.tip("openRealname>>>>>>>>>>[type]=" + type
				+ " [action]=" + action + " [reflectClazz]=" + reflectClazz
				+ " [isSuccess]=" + isSuccess);
		}
	} catch (e) {
		UmsApi.notification
			.error("openRealname>>>>>>>>>> [e.message]=" + e.message);
	}
}

function addBankCard() {
	try {
		//var param = {};
		//param.serviceName = "addBankCard";
		//param.cardType = "bankcard";
		//UmsApi.page.forwardNativePage("qmfService", param);

		var type = "3104";
		var action = null;
		var reflectClazz = "addBankCard";

		var isSuccess = UmsApi.base.registerApi(type, action, reflectClazz);

		if (isSuccess) {
			var param = {};
			param.cardType = "BANK_CARD";

			UmsApiBridge.invoke(type, action, param, function(data) {
				UmsApi.notification.tip("addBankCard called [data] = " + JSON.stringify(data));
			});
		} else {
			UmsApi.notification.tip("addBankCard>>>>>>>>>>[type]=" + type
				+ " [action]=" + action + " [reflectClazz]=" + reflectClazz
				+ " [isSuccess]=" + isSuccess);
		}
	} catch (e) {
		UmsApi.notification
			.error("addBankCard>>>>>>>>>> [e.message]=" + e.message);
	}
}

function openHistoryCardList() {
	try {
		//var param = {};
		//param.serviceName = "historyList";
		//param.historyInfo = {
		//	type: "card",
		//	key: "nm_debit_card_info",
		//	filter: "d"
		//};
		//param.operType = "SCD";
		//UmsApi.page.forwardNativePage("qmfService", param);

		var type = "3105";
		var action = null;
		var reflectClazz = "openHistoryCardList";

		var isSuccess = UmsApi.base.registerApi(type, action, reflectClazz);

		if (isSuccess) {
			var param = {};
			param.historyInfo = {
				type: "card",
				key: "nm_debit_card_info",
				filter: "d"
			};
			param.operType = "SCD";

			UmsApiBridge.invoke(type, action, param, function(data) {
				UmsApi.notification.tip("openHistoryCardList called [data] = " + JSON.stringify(data));
			});
		} else {
			UmsApi.notification.tip("openHistoryCardList>>>>>>>>>>[type]=" + type
				+ " [action]=" + action + " [reflectClazz]=" + reflectClazz
				+ " [isSuccess]=" + isSuccess);
		}
	} catch (e) {
		UmsApi.notification
			.error("openHistoryCardList>>>>>>>>>> [e.message]=" + e.message);
	}
}

function goBackNativeHome() {
	try {
		UmsApi.page.backToNativeHome();
		UmsApi.notification.tip("back to native home success");
	} catch (e) {
		UmsApi.notification
			.error("goBackNativeHome>>>>>>>>>> [e.message]=" + e.message);
	}
}

function showShare() {
	try {
		var procStatus = "00";
		var shareType = "0";
		var mode = "0";
		var cipherNo = "";

		UmsApi.page.showShare(procStatus, shareType, mode, cipherNo, function(data) {
			UmsApi.notification.toast("showShare>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("showShare>>>>>>>>>> [e.message]=" + e.message);
	}
}

function showShareView() {
	try {
		var procStatus = "00";
		var shareType = "0";
		var params = "";
		var shareUrl = "";
		var picPath = "";
		var title = "";
		var context = "";

		UmsApi.page.showShareView(procStatus, shareType, params, shareUrl, picPath,
			title, context, function(data) {
			UmsApi.notification.toast("showShareView>>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("showShareView>>>>>>>>>> [e.message]=" + e.message);
	}
}

function posTongFastPay() {
	try {
		//var param = {};
		//param.merOrderId = "order123";
		//param.amount = "100";
		//param.merchantId = "mer123";
		//param.merchantUserId = "user123";
		//param.mobile = "123456789";
		//param.mode = "mode123";
		//param.sign = "sign123";
		//param.notifyUrl = "url123";
        //
		//UmsApi.page.posTongFastPay(param, function(data) {
		//	UmsApi.notification.toast("posTongFastPay>>>>>>>>callback [data]=" + JSON.stringify(data));
		//});

		var type = "3101";
		var action = null;
		var reflectClazz = "posTongFastPay";

		var isSuccess = UmsApi.base.registerApi(type, action, reflectClazz);

		if (isSuccess) {
			var param = {};
			param.merOrderId = "order123";
			param.amount = "100";
			param.merchantId = "mer123";
			param.merchantUserId = "user123";
			param.mobile = "15172315243";
			param.mode = "mode123";
			param.sign = "sign123";
			param.notifyUrl = "url123";

			UmsApiBridge.invoke(type, action, param, function(data) {
				UmsApi.notification.tip("posTongFastPay called [data] = " + JSON.stringify(data));
			});
		} else {
			UmsApi.notification.tip("posTongFastPay>>>>>>>>>>[type]=" + type
				+ " [action]=" + action + " [reflectClazz]=" + reflectClazz
				+ " [isSuccess]=" + isSuccess);
		}
	} catch (e) {
		UmsApi.notification
			.error("posTongFastPay>>>>>>>>>> [e.message]=" + e.message);
	}
}

function showPaymentCenter() {
	try {
		//var param = {};
		//param.merOrderId = "order123";
		//param.amount = "100";
		//param.merchantId = "mer123";
		//param.merchantUserId = "user123";
		//param.notifyUrl = "url123";
        //
		//UmsApi.page.showPaymentCenter(param, function(data) {
		//	UmsApi.notification.toast("showPaymentCenter>>>>>>>>callback [data]=" + JSON.stringify(data));
		//});

		var type = "3007";
		var action = null;
		var reflectClazz = "showPaymentCenter";

		var isSuccess = UmsApi.base.registerApi(type, action, reflectClazz);

		if (isSuccess) {
			UmsApi.notification.tip("registerApi is successed: " + isSuccess);
			var param = {};
			param.merOrderId = "order123";
			param.amount = "100";
			param.merchantId = "mer123";
			param.merchantUserId = "user123";
			param.notifyUrl = "url123";

			UmsApiBridge.invoke(type, action, param, function(data) {
				UmsApi.notification.tip("showPaymentCenter called [data] = " + JSON.stringify(data));
			});
		} else {
			UmsApi.notification.tip("showPaymentCenter>>>>>>>>>>[type]=" + type
				+ " [action]=" + action + " [reflectClazz]=" + reflectClazz
				+ " [isSuccess]=" + isSuccess);
		}
	} catch (e) {
		UmsApi.notification
			.error("showPaymentCenter>>>>>>>>>> [e.message]=" + e.message);
	}
}

function queryContacts() {
	try {
		var filter = "135";
		var matchType = "";
		var fields = [];
		var maxNum = 10;

		UmsApi.system.contacts.query(filter, matchType, fields, maxNum, function(data) {
			UmsApi.notification.toast("queryContacts>>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("queryContacts>>>>>>>>>> [e.message]=" + e.message);
	}
}

function getLocationByPosition() {
	try {
		UmsApi.system.position.getLocation(function(data) {
			UmsApi.notification.toast("position.getLocation>>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("position.getLocation>>>>>>>>>> [e.message]=" + e.message);
	}
}

function getAreaByPosition() {
	try {
		UmsApi.system.position.getArea(function(data) {
			UmsApi.notification.toast("position.getArea>>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("position.getArea>>>>>>>>>> [e.message]=" + e.message);
	}
}

function getLocationAndAreaByPosition() {
	try {
		UmsApi.system.position.getLocationAndArea(function(data) {
			UmsApi.notification.toast("position.getLocationAndArea>>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("position.getLocationAndArea>>>>>>>>>> [e.message]=" + e.message);
	}
}

function getLocationCityByPosition() {
	try {
		UmsApi.system.position.getLocationCity(function(data) {
			UmsApi.notification.toast("position.getLocationCity>>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("position.getLocationCity>>>>>>>>>> [e.message]=" + e.message);
	}
}

function getSoundState() {
	try {
		UmsApi.system.getSoundState(function(data) {
			UmsApi.notification.toast("getSoundState>>>>>>>>callback [data]=" + JSON.stringify(data));
		});
	} catch (e) {
		UmsApi.notification
			.error("getSoundState>>>>>>>>>> [e.message]=" + e.message);
	}
}

function refreshWebView() {
	try {
		UmsApi.system.refreshWebView(function(data) {
			UmsApi.notification.toast("refreshWebView>>>>>>>>success callback");
		});
	} catch (e) {
		UmsApi.notification
			.error("refreshWebView>>>>>>>>>> [e.message]=" + e.message);
	}
}

function copyToClipboard() {
	try {
		UmsApi.system.copyToClipboard("copyString");
		UmsApi.notification.toast("copyToClipboard>>>>>>>>success callback");
	} catch (e) {
		UmsApi.notification
			.error("copyToClipboard>>>>>>>>>> [e.message]=" + e.message);
	}
}

function umengEvent() {
	try {
		var eventId = "eventId";
		var param = {};

		UmsApi.service.umengEvent(eventId, param);
		UmsApi.notification.toast("umengEvent>>>>>>>>success callback");
	} catch (e) {
		UmsApi.notification
			.error("umengEvent>>>>>>>>>> [e.message]=" + e.message);
	}
}