define(["angular"], function () {
    return angular.module("controllers", [])

        //搜索机构页面controller
        .controller("searchOrganController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                    UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            // $scope.corporateList=share.corporateList;

            // 搜索删除按钮默认不显示
            $scope.searchCloseShow = '';
            $scope.matterInput = '';
            // 搜索失去焦点事件
            $scope.searchLineBlur = function () {
                $timeout(function () {
                    $scope.searchCloseShow = '';
                }, 100);

            };
            $scope.searchWordChange = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }
                // fuzzyMatch($scope.matterInput);


            };
            $scope.searchLineFocus = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            // 搜索清除按钮
            $scope.deleteSearchWord = function ($event) {
                $scope.organList=share.organList;
                $event.stopPropagation();
                if ($scope.searchCloseShow == 'searchCloseShow') {
                    $scope.matterInput = '';
                    $scope.searchCloseShow = '';
                    // $scope.organList='';
                }

            };
            $scope.goToSearch = function () {
                if ($scope.matterInput == '') {
                    UmsApi.notification.tip("请输入要查询的内容");
                } else {
                    searchKeyWords();
                }
            };
            // 键盘搜索button事件
            $scope.forSearch = function ($event) {
                var keyCode = $event.keyCode;
                if (keyCode === 13) {
                    if ($scope.matterInput == '') {
                        UmsApi.notification.tip("请输入要查询的内容");
                    } else {
                        searchKeyWords();
                        // fuzzyMatch($scope.matterInput);
                    }
                }

            };

            if(share.corporateInfo==''){
                $scope.corporateShow=false;
            }else{
                $scope.corporateShow=true;
                $scope.corporateItem=share.corporateInfo.baseinfo;
            }
            // $scope.corporateShow=true;
            // $scope.corporateItem=share.corporateItem;
            function searchKeyWords() {
                var queryParams = {condition: $scope.matterInput};
                Tools.fillAndRequestFromNet("gateway/jnadapters/jngsj/gsjRegInfo", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.corporateInfo = response.data;
                    $scope.$apply(function () {
                        $scope.corporateShow=true;
                        $scope.corporateItem = response.data.baseinfo;
                    });
                }, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    UmsApi.notification.tip(response.errInfo);
                });
            }
       
       $scope.goToCorporateInfo=function () {
           $timeout(function () {
               $location.path("corporateInfo");
           });
       };
            $scope.$watchGroup(["matterInput", ], function (newValue, oldValue) {

                $scope.matterInput = newValue[0].replace(/[^0-9a-zA-Z\u4e00-\u9fa5]+$/g, '');

            });


        }])
        .controller("corporateInfoController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.corporateInfo=share.corporateInfo;
            $scope.baseinfo=$scope.corporateInfo.baseinfo;
            $scope.invPerson=$scope.corporateInfo.invPerson;
            $scope.priPerson=$scope.corporateInfo.priPerson;
            $scope.brchInfo=$scope.corporateInfo.brchinfo;
            $scope.invPersonShow=((UmsTool.data.check.isEmpty($scope.invPerson))==true?false:true);
            $scope.priPersonShow=((UmsTool.data.check.isEmpty($scope.priPerson))==true?false:true);
            $scope.brchInfoShow=((UmsTool.data.check.isEmpty($scope.brchInfo))==true?false:true);


            $scope.arrowState='';
            $scope.licenseDetailBlock='';
            $scope.invPersonState='invPersonState';
            $scope.invPersonBlock='invPersonBlock';
            $scope.priPersonState='priPersonState';
            $scope.priPersonBlock='priPersonBlock';
            $scope.brchInfoState='brchInfoState';
            $scope.brchInfoBlock='brchInfoBlock';


            $scope.ifCorporate=($scope.corporateInfo.type=='00');
            $scope.toggleShow=function(){
                if($scope.arrowState==''){
                    $scope.arrowState="arrowTurn";
                    $scope.licenseDetailBlock='licenseDetailBlock';
                }else{
                    $scope.arrowState="";
                    $scope.licenseDetailBlock='';
                }

            };
            $scope.invPersonToggleShow=function(){
                if($scope.invPersonState==''){
                    $scope.invPersonState="invPersonState";
                    $scope.invPersonBlock='invPersonBlock';
                }else{
                    $scope.invPersonState="";
                    $scope.invPersonBlock='';
                }

            };
            $scope.priPersonToggleShow=function(){
                if($scope.priPersonState==''){
                    $scope.priPersonState="priPersonState";
                    $scope.priPersonBlock='priPersonBlock';
                }else{
                    $scope.priPersonState="";
                    $scope.priPersonBlock='';
                }

            };
            $scope.brchInfoToggleShow=function(){
                if($scope.brchInfoState==''){
                    $scope.brchInfoState="brchInfoState";
                    $scope.brchInfoBlock='brchInfoBlock';
                }else{
                    $scope.brchInfoState="";
                    $scope.brchInfoBlock='';
                }

            }
        }])
        .value("share", {
            corporateItem:{entname:"济宁润阳骏畅置业有限公司",regstateCn: "在营（开业）企业",uniscid: "91370811MA3D5R670P",regcap:"1000",lerep:"梵蒂冈",estdate:"2019-4-12"},
            corporateList:[{entname:"济宁润阳骏畅置业有限公司",regstateCn: "在营（开业）企业",uniscid: "91370811MA3D5R670P",regcap:"1000",lerep:"梵蒂冈",estdate:"2019-4-12"},{entname:"济宁润阳骏畅置业有限公司",regstateCn: "在营（开业）企业",uniscid: "91370811MA3D5R670P",regcap:"1000",lerep:"梵蒂冈",estdate:"2019-4-12"},{entname:"济宁润阳骏畅置业有限公司",regstateCn: "在营（开业）企业",uniscid: "91370811MA3D5R670P",regcap:"1000",lerep:"梵蒂冈",estdate:"2019-4-12"},{entname:"济宁润阳骏畅置业有限公司",regstateCn: "在营（开业）企业",uniscid: "91370811MA3D5R670P",regcap:"1000",lerep:"梵蒂冈",estdate:"2019-4-12"},],
            corporateInfo:"",
    // corporateInfo: {
    //     "cancel": null,
    //     "priPerson": [
    //         {
    //             "pripid": "370811000022017012234295",
    //             "cerno": "370811198001202556",
    //             "positionCn": "执行董事兼总经理",
    //             "certype": "10",
    //             "name": "祝兴燕",
    //             "personid": "ff97b24638044ab9147f"
    //         },
    //         {
    //             "pripid": "370811000022017012234295",
    //             "cerno": "370829198605161058",
    //             "positionCn": "监事",
    //             "certype": "10",
    //             "name": "孟德闵",
    //             "personid": "4a9a396b9d67c13b301c"
    //         }
    //     ],
    //     "baseinfo": {
    //         "regno": "370811200153916",
    //         "industryco": "7010",
    //         "dom": "山东省济宁市任城区红星东路盛泰广场22层",
    //         "town": "否",
    //         "lerep": "祝兴燕",
    //         "opscope": "房地产开发经营；物业管理服务；房地产中介服务；建材销售；机械设备租赁。（依法须经批准的项目，经相关部门批准后方可开展经营活动）",
    //         "opto": null,
    //         "regorgCn": "济宁市任城区市场监督管理局",
    //         "opfrom": "2017-01-23",
    //         "uniscid": "91370811MA3D5R670P",
    //         "empnum": 10,
    //         "estdate": "2017-01-23",
    //         "regstateCn": "在营（开业）企业",
    //         "pripid": "370811000022017012234295",
    //         "enttypeCn": "有限责任公司(自然人投资或控股)",
    //         "entname": "济宁润阳骏畅置业有限公司",
    //         "regcap": 1000,
    //         "regorg": "370811",
    //         "industryphy": "K",
    //         "regcapcurCn": null,
    //         "apprdate": "2017-01-23"
    //     },
    //     "contact": {
    //         "pripid": "370811000022017012234295",
    //         "cerno": "370829198210073010",
    //         "certype": "10",
    //         "name": "梁建民",
    //         "lmid": "370811000022017012234295"
    //     },
    //     "brchinfo": [
    //         {
    //             "brid": "bridtest",
    //             "brname": "brnametest",
    //             "pripid": "pripidtest",
    //             "regno": "regnotest",
    //             "regorgCn": "regorgCntest",
    //             "uniscid": "uniscidtest"
    //         }
    //     ],
    //     "revoke": null,
    //     "alterRecoder": [],
    //     "type": "00",
    //     "invPerson": [
    //         {
    //             "inv": "孟德闵",
    //             "invtype": "自然人",
    //             "subconam": "50",
    //             "acconam": "0",
    //             "cerno": "370829198605161058",
    //             "certype": "中华人民共和国居民身份证"
    //         },
    //         {
    //             "inv": "祝兴燕",
    //             "invtype": "自然人",
    //             "subconam": "950",
    //             "acconam": "0",
    //             "cerno": "370811198001202556",
    //             "certype": "中华人民共和国居民身份证"
    //         }
    //     ]
    // }
        });
});