define([
    "controllers",
    "lCalender"
], function () {
    angular.module("app", [
        "ngIOS9UIWebViewPatch",
        "ngRoute",
        "ngTouch",
        "controllers",
    ]).config(["$routeProvider", function ($routeProvider) {
        $routeProvider.when("/index", {
                templateUrl: "view/index.html",
                controller: "IndexController"
            })
            .when("/reportList", {
                templateUrl: "view/reportList.html",
                controller: "ReportListController"
            })
            .when("/inspectReport", {
                templateUrl: "view/inspectReport.html",
                controller: "InspectReportController"
            })
            .when("/testReport", {
                templateUrl: "view/testReport.html",
                controller: "TestReportController"
            })
            .otherwise({
                redirectTo: "/index"
            });
    }]).run(function ($rootScope) {
        document.addEventListener("deviceready", function (event) {
            $rootScope.$broadcast("deviceready", event);
        });

        document.addEventListener("resume", function (event) {
            $rootScope.$broadcast("resume", event);
        });
    });

});