define(["angular"], function () {
    return angular.module("controllers", [])
    //首页，机构选择页面
        .controller("IndexController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {

            UmsApi.notification.loading(1);
            $scope.$on("deviceready",function(event,data){
                // UmsApi.notification.tip("deviceready");
                var needBindVcard = data.eventParam.param.needBindVcard;

                if (needBindVcard !=null) {
                    var cardPackInfo = data.eventParam.param.cardPackInfo;
                    // UmsApi.notification.tip(JSON.stringify(data.eventParam.param));
                    if (needBindVcard == '0') {
                        //账单页面
                        // UmsApi.notification.tip(JSON.stringify(data.eventParam.param));
                        // $timeout(function () {
                        //     UmsApi.notification.loading(0);
                        //     share.viewFlag = '0';
                        //     $location.path("paymentInfo");
                        // });


                        share.selectedOrgan.orgCode=cardPackInfo.orgCode;
                        share.selectedOrgan.orgName=cardPackInfo.orgName;
                                               share.detail.personId=cardPackInfo.number;
                        share.selectedGroupTag=data.eventParam.param.groupTag;
                        UmsApi.notification.loading(0);
                        queryPayInfo();
                    } else if (needBindVcard == '1') {
                        var groupTag = data.eventParam.param.groupTag;
                        if(groupTag!=null){
                            share.selectedGroupTag=groupTag;
                        }
                        // 添加新用户页面
                        $timeout(function () {
                            UmsApi.notification.loading(0);
                            share.viewFlag = '1';
                            $location.path("searchOrgan");
                        });

                    } else if (needBindVcard == '2') {
                        // 修改用户页面
                        // UmsApi.notification.tip(JSON.stringify(data.eventParam.param));
                        // share.selectedGroupTag.groupName=cardPackInfo.groupName;

                        share.selectedOrgan.orgCode=cardPackInfo.orgCode;
                        share.selectedOrgan.orgName=cardPackInfo.orgName;


                        share.detail.personId=cardPackInfo.number;
                        share.detail.vcardNo=cardPackInfo.vcardNo;
                        share.selectedGroupTag=data.eventParam.param.groupTag;
                        // 修改账号标识
                        share.updateVcard='1';
                        // 具体信息
                        // share.userSelectInfo=cardPackInfo.extendProps;
                        $timeout(function () {
                            UmsApi.notification.loading(0);
                            share.viewFlag = '2';
                            $location.path("addPaymentAccount");
                        });
                    }
                }else{
                    $timeout(function () {
                 UmsApi.notification.loading(0);
                        share.viewFlag = '1';
                 $location.path("searchOrgan");
                    });
             }

            });

            function queryPayInfo() {
                var queryParams = {
                    orgCode:share.selectedOrgan.orgCode,
                    accountNo:share.detail.personId,
                };
                // share.detail.personName=$scope.personNameInput.value;
                // share.detail.personId=personId;
                Tools.fillAndRequestFromNet("gateway/payment/bill", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
              // if(response.data.billList[0].billAmount=="0.00"){
              //     UmsApi.notification.toast(1);
              //     $timeout(function () {
              //         share.viewFlag = '0';
              //         share.billShow=false;
              //         $location.path("paymentInfo");
              //     });
              //
              // }
                   // alert(JSON.stringify(response));
                   // share.detail.collectionFlowNo = response.data.orgBillNo;
                    //share.detail.paymentNo = response.data.paymentNo;
                   // share.detail.amountOwed = response.data.billAmount;
                    share.detail.personId=response.data.accountNo;
                    share.detail.orderList=response.data.billList;
                    $timeout(function () {
                        share.viewFlag = '0';
                        share.billShow=true;
                        $location.path("paymentInfo");
                    });


                }, function (response) {
                    // 查询到无账单情况
                    if(response.errCode=='9994'){
                        $timeout(function () {
                            share.viewFlag = '0';
                            share.billShow=false;
                            $location.path("paymentInfo");
                        });
                    }else{
                        UmsApi.notification.tip(response.errInfo,"确定",function(){
                            UmsApi.page.backToNativeHome();
                        });
                    }


                });

            }


        }])
        //搜索机构页面controller
        .controller("searchOrganController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                if(share.viewFlag =='search'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            if (share.organList == '') {
                queryOrganList();
            } else {
                $scope.organList=share.organList;
            }
            // $scope.organList=share.organList;
            // 查询缴费机构信息
            function queryOrganList() {
                var queryParams = {payType: "GAS"};
                Tools.fillAndRequestFromNet("gateway/payment/organization", queryParams, function (response) {
                    $scope.$apply(function () {
                        $scope.organList = response.data.orgList;
                        share.organList = response.data.orgList;
                    })
                }, function (response) {
                    if (response.errCode == '1002') {
                        UmsApi.notification.toast(response.errInfo);
                    } else {
                        // UmsApi.notification.tip(JSON.stringify(response));
UmsApi.notification.tip(response.errInfo, "确定", function () {
                            UmsApi.page.backToNativeHome();
                        });
                    }

                });

            }

            $scope.activeOrganIndex=share.activeOrganIndex;
            // 搜索删除按钮默认不显示
            $scope.searchCloseShow = '';
            $scope.matterInput = '';
            // 搜索失去焦点事件
            $scope.searchLineBlur = function () {
                $timeout(function () {
                    $scope.searchCloseShow = '';
                }, 100);

            };
            $scope.searchWordChange = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }
                fuzzyMatch($scope.matterInput);


            };
            $scope.searchLineFocus = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            // 搜索清除按钮
            $scope.deleteSearchWord = function ($event) {
                $scope.organList=share.organList;
                $event.stopPropagation();
                if ($scope.searchCloseShow == 'searchCloseShow') {
                    $scope.matterInput = '';
                    $scope.searchCloseShow = '';
                    // $scope.organList='';
                }

            };
            // 键盘搜索button事件
            $scope.forSearch = function ($event) {
                var keyCode = $event.keyCode;
                if (keyCode === 13) {
                    if ($scope.matterInput == '') {
                        UmsApi.notification.tip("请输入要查询的内容");
                    } else {
                        fuzzyMatch($scope.matterInput);
                    }
                }

            };
        // 模糊匹配
            function fuzzyMatch(inputWord){
                var matchOrganList=[];
                var organLength=share.organList.length;
                for(var i=0;i<organLength;i++){
                    if((share.organList[i].orgName).indexOf(inputWord)>-1){
                        matchOrganList.push(share.organList[i]);
                    }
                 }
                // $scope.$apply(function () {
                    $scope.organList=matchOrganList;
                // })
            }

          $scope.selectOrgan=function(index){
              $scope.activeOrganIndex=index;
                share.selectedOrgan=$scope.organList[index];
				//share.activeOrganIndex=index;
				  var len=share.organList.length;
                for(var i=0;i<len;i++){
                    if(share.organList[i].orgName==share.selectedOrgan.orgName){
                        share.activeOrganIndex=i;
                        break;
                    }
                }
              $timeout(function () {
                  share.viewFlag='addPayment';
                  $location.path("addPaymentAccount");
              },100);
          };



        }])
        //添加缴费账户页面controller
        .controller("addPaymentAccountController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                if(share.viewFlag =='addPayment'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.organName=share.selectedOrgan.orgName;
            $scope.groupTagName=share.selectedGroupTag.groupName;


            if(share.groupTagList=='' && share.selectedGroupTag.groupName==''){
                queryInitialGroup();
            }

            function  queryInitialGroup() {
                // var mobile = UmsApi.globalization.getUserInfo().mobile;
                var userId = UmsApi.globalization.getUserInfo().userId;
                // var queryParams = { smkUserName:mobile,vcardType:'0002'};
                var queryParams = {
                    smkUserId:userId,
                };
                Tools.fillAndRequestFromNet("gateway/vcard/group/query", queryParams, function (response) {
                    share.groupTagList=response.data.list;
                    $scope.$apply(function(){
                        share.selectedGroupTag=share.groupTagList[0];
                        $scope.groupTagName=share.selectedGroupTag.groupName;
                    });

                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


            $scope.goToCheckHelp = function () {
                share.detail.personId=$scope.accountNumInput.value;
                // share.detail.personName=$scope.personNameInput.value;
                $timeout(function () {
                    $location.path("checkHelp");
                });
            };


            $scope.goToSearchOrgan=function(){
                share.detail.personId=$scope.accountNumInput.value;
                // share.detail.personName=$scope.personNameInput.value;
                $timeout(function () {
                    share.viewFlag='search';
                    $location.path("searchOrgan");
                });
            };
            // $scope.personNameInput = {
            //     inputLabel: "用户姓名",
            //     placeHolder: "请输入用户姓名",
            //     inputType: "text",
            //     maxLength: 7,
            //     value:share.detail.personName,
            // };
            $scope.accountNumInput = {
                inputLabel: "用户编号",
                placeHolder: "请输入用户编号",
                inputType: "text",
                maxLength: 20,
                minLength:6,
                value:share.detail.personId,
                // inputOnKeyUp:function(){
                //     UmsApi.notification.toast('1');
                    // $scope.$apply(function(){
                    //     $scope.accountNumInput.value=($scope.accountNumInput.value).replace(/[^0-9a-zA-Z]+$/g,'');
                    // });

                // }

            };
            $scope.$watchGroup(["accountNumInput.value"], function (newValue, oldValue) {
                // $scope.personNameInput.value=newValue[0].replace(/[^1-9a-zA-Z\u4e00-\u9fa5]+$/g, '');
                $scope.accountNumInput.value=newValue[0].replace(/[^0-9a-zA-Z]+$/g,'');
            });
            $scope.goToGroupTag=function(){
                share.detail.personId=$scope.accountNumInput.value;
                // share.detail.personName=$scope.personNameInput.value;
                if(share.groupTagList==''){
                    queryGroup();
                }else{
                    share.activeGroupTagIndex=getGroupTagIndex(share.groupTagList,share.selectedGroupTag.groupId);

                    $timeout(function () {
                        $location.path("groupTagList");
                    });
                }

            };
              // 获取标签记录
            // share.activeGroupTagIndex
                 function getGroupTagIndex(list,id){
                     var listLen=list.length;
                     for(var i=0;i<listLen;i++){
                         if(list[i].groupId==id){
                           var index=i;
                         }
                     }
                     return index;
                 }
            // 查询分组
            function  queryGroup() {
                // var mobile = UmsApi.globalization.getUserInfo().mobile;
                var userId = UmsApi.globalization.getUserInfo().userId;
                var queryParams = {
                    smkUserId:userId,
                };
                Tools.fillAndRequestFromNet("gateway/vcard/group/query", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.groupTagList=response.data.list;
                    share.activeGroupTagIndex=getGroupTagIndex(share.groupTagList,share.selectedGroupTag.groupId);
                    // UmsApi.notification.tip(share.activeGroupTagIndex);

                    $timeout(function () {
                        $location.path("groupTagList");
                    });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 确认按钮
            $scope.confirmAddAccount = {
                buttonText: "下一步",
                isButtonEnabled: true,
                onButtonClick: function () {
                    // var checked = checkValues ();
                   if($scope.accountNumInput.value==''){
                        UmsApi.notification.toast("用户编号不能为空");
                    }else if($scope.groupTagName==''){
                        UmsApi.notification.toast("请选择分组");
                    }else{
                        if(share.updateVcard=='1'){
                            updateVcard();
                        }else{
                            bindVcard();
                        }
                    }

                        // $timeout(function () {
                        //     $location.path("paymentInfo");
                        // });
                }
            };
            //修改用户账号
            function updateVcard() {
                var userId = UmsApi.globalization.getUserInfo().userId;
                // var groupId=share.selectedGroupTag.groupId;
                // var vcardNo=$scope.groupTagName+"_HEAT"+"_"+share.selectedOrgan.instId+"_"+share.detail.personId;
                var updVcardNo = $scope.groupTagName + "_HEAT" + "_" + share.selectedOrgan.orgCode + "_" + $scope.accountNumInput.value;
                // var number=''+$scope.personNameInput.value+'*'+$scope.accountNumInput.value;
                var queryParams = {
                    smkUserId:userId,
                    vcardType:'0002',
                    vcardNo:share.detail.vcardNo,
                    updVcardNo:updVcardNo,
                    propJson:{
                        subType:"GAS",
                        subTypeName:"燃气费",
                        orgName:share.selectedOrgan.orgName,
                        orgCode:share.selectedOrgan.orgCode,
                        // groupId:groupId,
                        groupName:$scope.groupTagName,
                        bizCode:"BIZ-LOCAL-SD_JN-TRQJF",
                        number:$scope.accountNumInput.value,
                        // personName:$scope.personNameInput.value,
                        vcardNo:updVcardNo,
                    }};
                // UmsApi.notification.tip(JSON.stringify(queryParams));
                Tools.fillAndRequestFromNet("gateway/vcard/update", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    // 修改成功后跳转到账单页面
                    share.detail.vcardNo=updVcardNo;
                    queryPayInfo();
                    // $timeout(function () {
                    //     share.viewFlag='payment';
                    //     $location.path("paymentInfo");
                    // });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 绑定用户账号
            function bindVcard() {
                var userId = UmsApi.globalization.getUserInfo().userId;
               // var groupId=share.selectedGroupTag.groupId;
               var vcardNo=$scope.groupTagName+"_HEAT"+"_"+share.selectedOrgan.orgCode+"_"+$scope.accountNumInput.value;
               // var number=JSON.stringify({"personName":$scope.personNameInput.value,
               // var number=''+$scope.personNameInput.value+'*'+$scope.accountNumInput.value;
                var queryParams = {
                    smkUserId:userId,
                    vcardType:'0002',
                    vcardNo:vcardNo,
                    propJson: {
                        subType: "GAS",
                        subTypeName:"燃气费",
                        orgName: share.selectedOrgan.orgName,
                        orgCode: share.selectedOrgan.orgCode,
                        // groupId: groupId,
                        groupName: $scope.groupTagName,
                        // "number": number,
                        bizCode:"BIZ-LOCAL-SD_JN-TRQJF",
                        number:$scope.accountNumInput.value,
                        // personName:$scope.personNameInput.value,
                        vcardNo:vcardNo,
                    }
                };
                // UmsApi.notification.tip(JSON.stringify(queryParams));

                Tools.fillAndRequestFromNet("gateway/vcard/group/bind", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    // 查询账单
                    queryPayInfo();

                    // $timeout(function () {
                    // share.viewFlag='payment';
                    //     $location.path("paymentInfo");
                    // });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            function queryPayInfo() {
                // var personId=''+share.userSelectInfo.communityInfo.villageName+share.userSelectInfo.buildingInfo.buildId+share.userSelectInfo.unitInfo.unitId+share.houseNumInfo.homeId;
                var queryParams = {
                    orgCode:share.selectedOrgan.orgCode,

                    accountNo:$scope.accountNumInput.value,
                   };

                // share.detail.personId=personId;
                Tools.fillAndRequestFromNet("gateway/payment/bill", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                   // alert(JSON.stringify(response));
                    //share.detail.collectionFlowNo = response.data.orgBillNo;
                   // share.detail.paymentNo = response.data.paymentNo;
                   // share.detail.amountOwed = response.data.billAmount;
                    share.detail.personId=response.data.accountNo;
                    share.detail.orderList=response.data.billList;
                    $timeout(function () {
                        share.viewFlag='payment';
                        share.billShow=true;
                        $location.path("paymentInfo");
                    });


                }, function (response) {
                    // 查询到无账单情况
                    if(response.errCode=='9994'){
                       share.detail.personId=$scope.accountNumInput.value;
                        $timeout(function () {
                            share.viewFlag='payment';
                            share.billShow=false;
                            $location.path("paymentInfo");
                        });
                    }else{
                        UmsApi.notification.toast(response.errInfo);
                    }

                });

            }


        }])
        //分组列表页面controller
        .controller("groupTagListController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.groupTagList=share.groupTagList;
            $scope.activeGroupTagIndex=share.activeGroupTagIndex;
            // 当前选中的标签
            var tagIndex=$scope.activeGroupTagIndex;
            $scope.selectGroupTag=function(index){
                console.log(index);
                $scope.activeGroupTagIndex=index;
                tagIndex=index;

            };
            $scope.defineTag='';
            // 确认按钮
            $scope.confirmTagAccount = {
                buttonText: "下一步",
                isButtonEnabled: true,
                onButtonClick: function () {
                    console.log($scope.defineTag);
                    if(tagIndex=='other'){
                      if($scope.defineTag==''){
                          UmsApi.notification.tip("分组名称不能为空");
                      }else{
                          // 添加标签
                          var tagName=$scope.defineTag;
                          $timeout(function () {
                       addGroupTag(tagName);
                          },20);



                      }
                    }else{
                        share.activeGroupTagIndex=tagIndex;
                        share.selectedGroupTag=(share.groupTagList)[tagIndex];
                        $timeout(function () {
                            $location.path("addPaymentAccount");
                        });
                    }

                }
            };
            $scope.$watchGroup(["defineTag"], function (newValue, oldValue) {
                $scope.defineTag=newValue[0].replace(/[^0-9a-zA-Z\u4e00-\u9fa5]+$/g,'');


            });
            function addGroupTag(name){
                  var len=$scope.groupTagList.length;
                  var ifExistTag=false;
                  for(var i=0;i<len;i++){
                      if(name==$scope.groupTagList[i].groupName){
                           ifExistTag=true;
                           break;
                      }

                }
                if(ifExistTag){
                    UmsApi.notification.tip("该分组已经存在");
                }else{
                    var newTag={'groupName':name};
                    share.groupTagList.push(newTag);
                    var newTagLen=share.groupTagList.length-1;
                    share.activeGroupTagIndex=newTagLen;
                    share.selectedGroupTag=share.groupTagList[newTagLen];
                    $timeout(function () {

                        $location.path("addPaymentAccount");
                    },20);
                }

            }

        }])
        //缴费页面controller
        .controller("paymentInfoController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            $scope.Return = function () {
                if(share.viewFlag =='payment'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }

            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
         $scope.billShow=share.billShow;
         $scope.paymentOrgan=share.selectedOrgan.orgName;
         $scope.paymentPersonId=share.detail.personId;
         if($scope.billShow==true){
             $scope.orderList=share.detail.orderList;
             // $scope.activeOrdexIndex=0;
             $scope.orderConfirm=$scope.orderList[0];
             $scope.billAmount=$scope.orderConfirm.billAmount;
             //$scope.billAmount='0.01';
             $scope.paymentPersonName='*'+$scope.orderConfirm.accName.substr(1);
             $scope.paymentAddress=$scope.orderConfirm.accAddr.slice(0,-12)+"******"+$scope.orderConfirm.accAddr.slice(-6);
             if($scope.billAmount=='0.00'){
                 $scope.noDebtShow=true;
                 $scope.balance=$scope.orderConfirm.balance;

             }else{
                 $scope.noDebtShow=false;
             }

         }

         // $scope.switchOrder=function(index){
         //     $scope.activeOrdexIndex=index;
         //     $scope.orderConfirm=$scope.orderList[index];
         // };
           if( Number($scope.billAmount)>=10){
             $scope.paymentInit=$scope.billAmount;
           }else{
               $scope.paymentInit='';
           }
            $scope.paymentAmountInput = {
                inputLabel: "缴费金额",
                placeHolder: "请输入缴费金额",
                inputType: "text",
                maxLength: 8,
                minLength:6,
                value:$scope.paymentInit,

            };
            $scope.$watchGroup(["paymentAmountInput.value"], function (newValue, oldValue) {
                // $scope.personNameInput.value=newValue[0].replace(/[^1-9a-zA-Z\u4e00-\u9fa5]+$/g, '');
                // var patt = /^((?!0)\d+(\.\d{1,2})?)$/g;
                $scope.paymentAmountInput.value=newValue[0].replace(/[^\d.]/g, "").replace(/^\./g, "").replace(/\.{2,}/g, ".").replace(".", "$#$").replace(/\./g, "").replace("$#$", ".").replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3');


            });

            // 确认按钮
            $scope.confirmPay= {
                buttonText: "立即缴费",
                isButtonEnabled: true,
                onButtonClick: function () {
                    // UmsApi.notification.tip(JSON.stringify(UmsApi.globalization.getUserInfo()));
                    // var isAuth = UmsApi.globalization.getUserInfo().isAuth;
                    // // if(isAuth!='11'){
                    // if(isAuth=='9'){
                    //     UmsApi.notification.dialog("0","提示","使用该业务需要先实名认证，请先实名认证","取消,确定",function(data){
                    //         if(data.bizData.selectIndex === "1"){
                    //             UmsApi.page.forwardNativePage('native_real_name_certification');
                    //         }
                    //     });
                    //
                    // }else{
                    //     businessOrder();
                    // }

                    if((Number($scope.billAmount)>=10)&&(Number($scope.paymentAmountInput.value)<Number($scope.billAmount))){
                        UmsApi.notification.tip("缴费金额必须大于等于欠费金额")
                    }else if((Number($scope.billAmount)<10)&&(Number($scope.paymentAmountInput.value)<10)){
                        UmsApi.notification.tip("缴费金额必须大于等于10元")
                    }else if(Number($scope.paymentAmountInput.value)>14400){
                        UmsApi.notification.tip("该户号超过每月累计缴费额度上限，请下月再来缴费")
                    }else{
                    businessOrder();
                }
}
            };
            // 下单
            function businessOrder() {
                    var userId=UmsApi.globalization.getUserInfo().userId;
                    var phoneNo=UmsApi.globalization.getUserInfo().mobile;
                   // var orderMoney='1';
                    var orderMoney=''+(Number($scope.paymentAmountInput.value)*100).toFixed(0);
                    var paymentNo = share.detail.orderList[0].paymentNo;
                    if (paymentNo == null) {
                        paymentNo = '';
                    }
                    var queryParams = {
                        // contId:"649579574999",
                        collectionFlowNo: share.detail.orderList[0].orgBillNo,
                        paymentNo: paymentNo,
                        amountOwed: share.detail.orderList[0].billAmount,
                        spInstCode:"1001",
                        billKey:"00000",
                        // contId:$scope.paymentPersonId,
                        contId:$scope.paymentPersonId,
                        merOrderId:$scope.orderConfirm.orgBillNo,
                        mid:"898370849000208",
                        orderAmt:orderMoney,
                        payAmt:orderMoney,
                        tid:"87965336",
                        tradSrc:"0537GAS",
                        phoneNo:phoneNo,
                        userId: userId,
                        // instMid:"APPDEFAULT",
                        // orderTitle:"济宁市自来水缴费"
                    };
                    //alert(JSON.stringify(queryParams));
                    // var queryParams = { userName: userName,contId:orderId,orderAmt:amount,payAmt:amount,billKey:"00000",spInstCode:"1001",tid:"00000001",mid:"898370565130272",tradSrc:"P"};
                // UmsApi.notification.tip(JSON.stringify(queryParams));
                    Tools.fillAndRequestFromNet("gateway/order/pubp/placeOrder", queryParams, function(data) {
                        // UmsApi.notification.tip(JSON.stringify(data));
                        nativePayWidget(data,orderMoney);

                    }, function(data) {
                        UmsApi.notification.toast(data.errInfo);
                    });

            }
            function nativePayWidget(data,amount) {

                    var param = data;
                    param.FastPay = "898370849000208";
                    param.FastPayMcc = "4900";
                    param.FastPayMrchName = "济宁华润燃气有限公司";
                    param.UnionPay = "898370849000202";
                    param.instMid = "APPDEFAULT";
                    param.AliPay = "898370849000202";
                    param.tid = "87990654";
                    param.totalAmount = amount;
                // param.WxPay = "898370849000202";
                // param.isNeedSelectPay = "1";

//             UmsApi.notification.tip(JSON.stringify(param));
                    UmsApi.page.processUnifyPay(param, function(data) {
                        // 成功
                        // 成功
                        $timeout(function() {
                            $location.path("pay-result");
                        });
                        // UmsApi.notification.tip("支付成功","确定",function(){
                        //     UmsApi.page.backToNativeHome();
                        // });
                    }, function(data) {


                        // UmsApi.notification.tip(data.errInfo,"确定",function(){
                        //     UmsApi.page.backToNativeHome();
                        // });
                        share.payResult.success = false;
                        share.payResult.errInfo = data.errInfo;
                        // UmsApi.notification.tip(JSON.stringify(data));

                        $timeout(function() {
                            $location.path("pay-result");
                        });
                    });

            }


        }])
        //无账单页面controller
        .controller("paymentUnBillController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };


        }])
        .controller("PayResultController", ["$scope", "share", function($scope, share) {
            //UmsApi.notification.setTitle("交易结果");
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.paySuccess = share.payResult.success;

            $scope.payResultSuccess = {
                payResult: "success",
                payResultMsg:"交易成功"
            };

            $scope.payResultFailure = {
                payResult: "failure",
                payResultMsg:"交易失败",
                errInfo:share.payResult.errInfo,
            };


        }])
        //如何查户号
        .controller("checkHelpController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };


        }])
        .value("share", {
            // 页面标记
            viewFlag:'',
            // 修改账号标记
            updateVcard:'',
            // 机构列表
            organList:'',
          // organList:[{
          //     "orgCode": "GAS01",
          //     "orgName": "济宁华润燃气有限公司"
          // }],
            activeOrganIndex:'unable',
            // 选中后的机构信息
            selectedOrgan:{
                orgName:'',
                orgCode:''
            },
            // 户号
            number:"",
            // 自定义分组列表
            groupTagList:'',
            // groupTagList:[{name:"我家",code:"01"},{name:"父母",code:"02"},{name:"房东",code:"04"},{name:"朋友",code:"05"}],
            // 选中后的分组信息
            selectedGroupTag:{
                groupName:'',
                groupId:'',
            },
            activeGroupTagIndex:'',

            // billShow:'',
            billShow:true,
            //账单查询结果详情
            detail:{
                collectionFlowNo:'',
                paymentNo:'',
                amountOwed:'',
                vcardNo:"",
                personId:'',
                orderList:[],
                // orderList:[{
                //     "orgBillNo": "062049424788",
                //     "billAmount": "0.00",
                //     "balance": "0.05",
                //     "accName":"张学建",
                //     "accAddr":"市中区东门大街铁塔寺小区08栋5-05-01"
                // }],

            },
            payResult: {
                success: true,
                errInfo: ""
            },
        });
});