define(["angular"], function () {
    return angular.module("controllers", [])
    //首页，机构选择页面
        .controller("IndexController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {

            UmsApi.notification.loading(1);
            $scope.$on("deviceready",function(event,data){
                // UmsApi.notification.tip("deviceready");
                var needBindVcard = data.eventParam.param.needBindVcard;

                if (needBindVcard !=null) {
                    var cardPackInfo = data.eventParam.param.cardPackInfo;
                    if (needBindVcard == '0') {

                        share.selectedOrgan.instId=cardPackInfo.instId;
                        share.selectedOrgan.instName=cardPackInfo.instName;
                        share.detail.personName=cardPackInfo.personName;
                        share.detail.personId=cardPackInfo.number;
                        share.selectedGroupTag=data.eventParam.param.groupTag;
                        UmsApi.notification.loading(0);
                        queryPayInfo();
                    } else if (needBindVcard == '1') {
                        var groupTag = data.eventParam.param.groupTag;
                        if(groupTag!=null){
                            share.selectedGroupTag=groupTag;
                        }
                        // 添加新用户页面
                        $timeout(function () {
                            UmsApi.notification.loading(0);
                            share.viewFlag = '1';
                            $location.path("searchOrgan");
                        });

                    } else if (needBindVcard == '2') {
                        // 修改用户页面
                        // UmsApi.notification.tip(JSON.stringify(data.eventParam.param));
                        // share.selectedGroupTag.groupName=cardPackInfo.groupName;

                        share.selectedOrgan.instId=cardPackInfo.instId;
                        share.selectedOrgan.instName=cardPackInfo.instName;

                        share.detail.personName=cardPackInfo.personName;
                        share.detail.personId=cardPackInfo.number;
                        share.detail.vcardNo=cardPackInfo.vcardNo;


                        var detailArr = share.detail.vcardNo.split("_");
                        share.detail.communityId = detailArr[0];
                        share.detail.communityName = detailArr[1];
                        share.detail.buildingCode = detailArr[2];
                        share.detail.buildingName = detailArr[3];
                        share.detail.unitCode = detailArr[4];
                        share.detail.unitName = detailArr[5];
                        share.detail.homeCode = detailArr[6];
                        share.detail.homeName = detailArr[7];



                        share.selectedGroupTag=data.eventParam.param.groupTag;
                        // 修改账号标识
                        share.updateVcard='1';
                        // 具体信息
                        // share.userSelectInfo=cardPackInfo.extendProps;
                        $timeout(function () {
                            UmsApi.notification.loading(0);
                            share.viewFlag = '2';
                            $location.path("addPaymentAccount");
                        });
                    }
                }else{
                    $timeout(function () {
                 UmsApi.notification.loading(0);
                        share.viewFlag = '1';
                 $location.path("searchOrgan");
                    });
             }

            });

            function queryPayInfo() {
                var queryParams = {
                    instId:share.selectedOrgan.instId,
                    personName:share.detail.personName,
                    personId:share.detail.personId,
                    payState:"0"
                };

                // share.detail.personName=$scope.personNameInput.value;
                // share.detail.personId=personId;
                Tools.fillAndRequestFromNet("gateway/orderProperty/queryPayInfo", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    share.detail.personName=response.personName;
                    share.detail.personId=response.personId;
                    share.detail.appMid=response.appMid;
                    share.detail.appTid=response.appTid;
                    share.detail.orderList=response.detail;
                    $timeout(function () {
                        share.viewFlag = '0';
                        share.billShow=true;
                        $location.path("paymentInfo");
                    });


                }, function (response) {
                    // 查询到无账单情况
                    if(response.errCode=='9994'){
                        $timeout(function () {
                            share.viewFlag = '0';
                            share.billShow=false;
                            $location.path("paymentInfo");
                        });
                    }else{
                        UmsApi.notification.tip(response.errInfo,"确定",function(){
                            UmsApi.page.backToNativeHome();
                        });
                    }


                });

            }


        }])
        //搜索机构页面controller
        .controller("searchOrganController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                if(share.viewFlag =='search'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            if (share.organList == '') {
                queryOrganList();
            } else {
                $scope.organList=share.organList;
            }
            // 查询缴费机构信息
            function queryOrganList() {
                var queryParams = {dictCode: "property",dictId: "jining"};
                Tools.fillAndRequestFromNet("gateway/orderProperty/queryPayAgency", queryParams, function (response) {
                    $scope.$apply(function () {
                        $scope.organList = response.detail;
                        share.organList = response.detail;
                    })
                }, function (response) {
                    if (response.errCode == '1002') {
                        UmsApi.notification.toast(response.errInfo);
                    } else {
                        // UmsApi.notification.tip(JSON.stringify(response));
                        UmsApi.notification.tip(response.errInfo, "确定", function () {
                            UmsApi.page.backToNativeHome();
                        });

                    }

                });

            }

            $scope.activeOrganIndex=share.activeOrganIndex;
            // 搜索删除按钮默认不显示
            $scope.searchCloseShow = '';
            $scope.matterInput = '';
            // 搜索失去焦点事件
            $scope.searchLineBlur = function () {
                $timeout(function () {
                    $scope.searchCloseShow = '';
                }, 100);

            };
            $scope.searchWordChange = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }
                fuzzyMatch($scope.matterInput);


            };
            $scope.searchLineFocus = function () {
                if ($scope.matterInput == '') {
                    $scope.searchCloseShow = '';
                } else {
                    $scope.searchCloseShow = 'searchCloseShow';
                }

            };
            // 搜索清除按钮
            $scope.deleteSearchWord = function ($event) {
                $scope.organList=share.organList;
                $event.stopPropagation();
                if ($scope.searchCloseShow == 'searchCloseShow') {
                    $scope.matterInput = '';
                    $scope.searchCloseShow = '';
                    // $scope.organList='';
                }

            };
            // 键盘搜索button事件
            $scope.forSearch = function ($event) {
                var keyCode = $event.keyCode;
                if (keyCode === 13) {
                    if ($scope.matterInput == '') {
                        UmsApi.notification.tip("请输入要查询的内容");
                    } else {
                        fuzzyMatch($scope.matterInput);
                    }
                }

            };
        // 模糊匹配
            function fuzzyMatch(inputWord){
                var matchOrganList=[];
                var organLength=share.organList.length;
                for(var i=0;i<organLength;i++){
                    if((share.organList[i].instName).indexOf(inputWord)>-1){
                        matchOrganList.push(share.organList[i]);
                    }
                 }
                // $scope.$apply(function () {
                    $scope.organList=matchOrganList;
                // })
            }

          $scope.selectOrgan=function(index){
              $scope.activeOrganIndex=index;
                share.selectedOrgan=$scope.organList[index];
				//share.activeOrganIndex=index;
				  var len=share.organList.length;
                for(var i=0;i<len;i++){
                    if(share.organList[i].instName==share.selectedOrgan.instName){
                        share.activeOrganIndex=i;
                        break;
                    }
                }
              $timeout(function () {
                  share.viewFlag='addPayment';
                  $location.path("addPaymentAccount");
              },100);
          };



        }])


        //添加缴费账户页面controller
        .controller("addPaymentAccountController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                if(share.viewFlag =='addPayment'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }
            };
            if((share.updateVcard != 1) && (share.groupTagFlag != 1) ){
                share.detail.communityId = '';
                share.detail.communityName = '';
                share.detail.buildingCode = '';
                share.detail.buildingName = '';
                share.detail.unitCode = '';
                share.detail.unitName = '';
                share.detail.homeCode = '';
                share.detail.homeName = '';
            }

            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };

            var idSelectIndex=-1;

            $scope.goToSearchOrgan=function(){
                $timeout(function () {
                    share.viewFlag='search';
                    $location.path("searchOrgan");
                });
            };


            // 1、社区信息
            function query() {
                var p=new Promise(function(resolve,reject){
                    var param = {};
                    // param.msgType = "10546160";
                    // param.subType = ''+subType;
                    param.instId=share.selectedOrgan.instId;
                    // http://qr-test1.chinaums.com:58888/gateway/orderplatform/queryPayAgency
                    //查询
                    Tools.fillAndRequestFromNet("gateway/orderProperty/queryCommunity", param,function(data){
                        resolve(data.villageDetail);
                    }, function(data) {
                        UmsApi.notification.error(data.errInfo);

                    });

                });
                return p;
            }
            $scope.communitySelect = {
                selectLabel: "小区名称",
                placeHolder: "请选择小区",
                selectedItem: share.detail.communityName,
                onClick: function () {
                    var communityValue = share.detail.communityId;
                    query().then(function (data) {
                        var communityList=data;
                        var selectList=new Array();
                        for (var i = 0; i < communityList.length; i++) {
                            var arr = [];
                            arr[0] = communityList[i].villageId;
                            arr[1] = communityList[i].villageName;
                            selectList.push(arr);
                        }
                        var idSelect;
                        UmsApi.notification.showSelect(selectList,idSelectIndex, function (data) {
                            $scope.$apply(function () {
                                idSelectIndex = data.selectIndex;
                                idSelect = selectList[idSelectIndex][1];
                                $scope.communitySelect.selectedItem = idSelect;
                                share.detail.communityId= communityList[idSelectIndex].villageId;
                                share.detail.communityName= communityList[idSelectIndex].villageName;
                                // share.merchNo = communityList[idSelectIndex].merchNo;
                                if(communityValue != share.detail.communityId){
                                    buildingChange();      //  清除楼号数据
                                    unitChange();          //  清除单元号数据
                                    homeChange();         //  清除楼层数据
                                }
                            })
                        });
                    });
                }
            };


            //2、对楼号进行处理
            function queryInst() {
                var p=new Promise(function(resolve,reject){
                    var param = {};
                    param.villageId=share.detail.communityId;
                    param.instId=share.selectedOrgan.instId;
                    //查询
                    Tools.fillAndRequestFromNet("gateway/orderProperty/queryBuilding", param,function(data){
                        if (data.buiIdDetail ==null) {
                            UmsApi.notification.tip("暂无该小区楼号信息");
                        }
                        resolve(data.buiIdDetail);
                    }, function(data) {
                        UmsApi.notification.error(data.errInfo);

                    });
                });
                return p;

            }
            $scope.buildingSelect = {
                selectLabel: "楼  号",
                placeHolder: "请选择...",
                selectedItem: share.detail.buildingName,
                onClick: function () {
                    if($scope.communitySelect.selectedItem ==''){
                        UmsApi.notification.tip("请先选择小区名");
                    }else{
                        var buildingValue = share.detail.buildingCode;
                        queryInst().then(function (data) {
                            var buildingList=data;
                            var selectList=new Array();
                            for (var i = 0; i < buildingList.length; i++) {
                                var arr = [];
                                arr[0] = buildingList[i].buildId;
                                arr[1] = buildingList[i].buildName;
                                selectList.push(arr);
                            }
                            var idSelect;

                            UmsApi.notification.showSelect(selectList, idSelectIndex, function (data) {
                                $scope.$apply(function () {
                                    idSelectIndex = data.selectIndex;
                                    idSelect = selectList[idSelectIndex][1];
                                    $scope.buildingSelect.selectedItem = idSelect;
                                    share.detail.buildingCode= buildingList[idSelectIndex].buildId;
                                    share.detail.buildingName= buildingList[idSelectIndex].buildName;
                                    if(share.detail.buildingCode != buildingValue){
                                        unitChange();          //  清除单元号数据
                                        homeChange();         //  清除楼层数据
                                    }
                                })
                            });
                        });
                    }
                }

            };

            function buildingChange(){
                $scope.buildingSelect.selectedItem = "";
                share.detail.buildingCode= "";
                share.detail.buildingName = "";
            }

            // 3、对单元进行处理


            function queryUnit() {

                var p=new Promise(function(resolve,reject){
                    var param = {};
                    param.villageId=share.detail.communityId;
                    param.instId=share.selectedOrgan.instId;
                    param.buildId= share.detail.buildingCode;
                    //查询
                    Tools.fillAndRequestFromNet("gateway/orderProperty/queryUnit", param,function(data){
                        // alert(JSON.stringify(data));
                        if (data.unitDetail ==null) {
                            UmsApi.notification.tip("暂无该楼单元号信息");
                        }
                        resolve(data.unitDetail);
                    }, function(data) {
                        UmsApi.notification.error(data.errInfo);
                    });
                });
                return p;

            }
            $scope.unitSelect = {
                selectLabel: "单元号",
                placeHolder: "请选择...",
                selectedItem: share.detail.unitName,
                onClick: function () {
                    if($scope.communitySelect.selectedItem ==''){
                        UmsApi.notification.tip("请先选择小区名");
                    }else if( $scope.buildingSelect.selectedItem ==''){
                        UmsApi.notification.tip("请先选择楼字号");
                    }else {
                        var unitValue = share.detail.unitCode;
                        queryUnit().then(function (data) {
                            var unitList=data;
                            var selectList=new Array();
                            for (var i = 0; i < unitList.length; i++) {
                                var arr = [];
                                arr[0] = unitList[i].unitId;
                                arr[1] = unitList[i].unitName;
                                selectList.push(arr);
                            }
                            var idSelect;
                            UmsApi.notification.showSelect(selectList, idSelectIndex, function (data) {
                                $scope.$apply(function () {
                                    idSelectIndex = data.selectIndex;
                                    idSelect = selectList[idSelectIndex][1];
                                    $scope.unitSelect.selectedItem = idSelect;
                                    share.detail.unitCode= unitList[idSelectIndex].unitId;
                                    share.detail.unitName= unitList[idSelectIndex].unitName;
                                    if(share.detail.unitCode != unitValue){
                                        homeChange();         //  清除楼层数据
                                    }
                                })
                            });
                        });
                    }
                }

            };

            function unitChange(){
                $scope.unitSelect.selectedItem = "";
                share.detail.unitCode= "";
                share.detail.unitName = "";
            }


            // 4、对楼室号进程处理
            function queryHome() {

                var p=new Promise(function(resolve,reject){
                    var param = {};
                    param.villageId=share.detail.communityId;
                    param.instId=share.selectedOrgan.instId;
                    param.buildId= share.detail.buildingCode;
                    param.unitId= share.detail.unitCode;
                    //查询
                    Tools.fillAndRequestFromNet("gateway/orderProperty/queryHome", param,function(data){
                        // alert(JSON.stringify(data));
                        if (data.homeDetail ==null) {
                            UmsApi.notification.tip("暂无该单元楼层信息");
                        }
                        resolve(data.homeDetail);
                    }, function(data) {
                        UmsApi.notification.error(data.errInfo);
                    });
                });
                return p;

            }
            $scope.homeSelect = {
                selectLabel: "楼室号",
                placeHolder: "请选择...",
                selectedItem: share.detail.homeName,
                onClick: function () {
                    if($scope.communitySelect.selectedItem ==''){
                        UmsApi.notification.tip("请先选择小区名");
                    }else if( $scope.buildingSelect.selectedItem ==''){
                        UmsApi.notification.tip("请先选择楼字号");
                    }else if( $scope.unitSelect.selectedItem ==''){
                        UmsApi.notification.tip("请先选择单元号");
                    }else {
                        var homeValue = share.detail.homeCode;
                        queryHome().then(function (data) {
                            var homeList=data;
                            var selectList=new Array();
                            for (var i = 0; i < homeList.length; i++) {
                                var arr = [];
                                arr[0] = homeList[i].homeId;
                                arr[1] = homeList[i].homeName;
                                selectList.push(arr);
                            }
                            var idSelect;
                            UmsApi.notification.showSelect(selectList, idSelectIndex, function (data) {
                                $scope.$apply(function () {
                                    idSelectIndex = data.selectIndex;
                                    idSelect = selectList[idSelectIndex][1];
                                    $scope.homeSelect.selectedItem = idSelect;
                                    share.detail.homeCode= homeList[idSelectIndex].homeId;
                                    share.detail.homeName= homeList[idSelectIndex].homeName;
                                })
                            });
                        });
                    }
                }
            };

            function homeChange() {
                $scope.homeSelect.selectedItem = "";
                share.detail.homeCode= "";
                share.detail.homeName = "";
            }

            $scope.accountNumInput = {
                inputLabel: "用户姓名",
                placeHolder: "请输入用户姓名",
                inputType: "text",
                maxLength: 20,
                minLength:6,
                value:share.detail.personName,
                // inputOnKeyUp:function(){
                //     UmsApi.notification.toast('1');
                // $scope.$apply(function(){
                //     $scope.accountNumInput.value=($scope.accountNumInput.value).replace(/[^0-9a-zA-Z]+$/g,'');
                // });

                // }

            };


            $scope.organName=share.selectedOrgan.instName;
            $scope.groupTagName=share.selectedGroupTag.groupName;


            if(share.groupTagList=='' && share.selectedGroupTag.groupName==''){
                queryInitialGroup();
            }

            function  queryInitialGroup() {
                var userId = UmsApi.globalization.getUserInfo().userId;
                var queryParams = {
                    smkUserId:userId,
                };
                Tools.fillAndRequestFromNet("gateway/vcard/group/query", queryParams, function (response) {
                    share.groupTagList=response.data.list;
                    $scope.$apply(function(){
                        share.selectedGroupTag=share.groupTagList[0];
                        $scope.groupTagName=share.selectedGroupTag.groupName;
                    });

                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


            // 分组按键
            $scope.goToGroupTag=function(){
                share.groupTagFlag = '1';
                if(share.groupTagList==''){
                    queryGroup();
                }else{
                    share.activeGroupTagIndex=getGroupTagIndex(share.groupTagList,share.selectedGroupTag.groupId);
                    $timeout(function () {
                        $location.path("groupTagList");
                    });
                }

            };
              // 获取标签记录
            // share.activeGroupTagIndex
                 function getGroupTagIndex(list,id){
                     var listLen=list.length;
                     for(var i=0;i<listLen;i++){
                         if(list[i].groupId==id){
                           var index=i;
                         }
                     }
                     return index;
                 }
            // 查询分组
            function  queryGroup() {
                // var mobile = UmsApi.globalization.getUserInfo().mobile;
                var userId = UmsApi.globalization.getUserInfo().userId;
                var queryParams = {
                    smkUserId:userId,
                };
                Tools.fillAndRequestFromNet("gateway/vcard/group/query", queryParams, function (response) {

                    share.groupTagList=response.data.list;
                    share.activeGroupTagIndex=getGroupTagIndex(share.groupTagList,share.selectedGroupTag.groupId);

                    $timeout(function () {
                        $location.path("groupTagList");
                    });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }


            share.detail.personId = share.detail.communityName+share.detail.buildingCode+share.detail.unitCode+share.detail.homeCode;
            // 确认按钮
            $scope.confirmAddAccount = {
                buttonText: "下一步",
                isButtonEnabled: true,
                onButtonClick: function () {

                    if( Tools.data.check.isEmpty($scope.communitySelect.selectedItem) ){
                        UmsApi.notification.tip("请选择小区名");
                    }else if(Tools.data.check.isEmpty($scope.buildingSelect.selectedItem)){
                        UmsApi.notification.tip("请选择楼号");
                    }else if(Tools.data.check.isEmpty($scope.unitSelect.selectedItem)){
                        UmsApi.notification.tip("请选择单元号");
                    }else if(Tools.data.check.isEmpty($scope.homeSelect.selectedItem)){
                        UmsApi.notification.tip("请选择楼室号");
                    }else if($scope.groupTagName==''){
                        UmsApi.notification.toast("请选择分组");
                    }else{
                        if(share.updateVcard=='1'){
                            updateVcard();
                        }else{
                            bindVcard();
                        }
                    }
                }
            };
            //修改用户账号
            function updateVcard() {
                var userId = UmsApi.globalization.getUserInfo().userId;
                var updVcardNo=share.detail.communityId+"_"+share.detail.communityName+"_"+share.detail.buildingCode+"_"+share.detail.buildingName+"_"+share.detail.unitCode+"_"+share.detail.unitName+"_"+share.detail.homeCode+"_"+share.detail.homeName;

                var queryParams = {
                    smkUserId:userId,
                    vcardType:'0002',
                    vcardNo:share.detail.vcardNo,
                    updVcardNo:updVcardNo,
                    propJson:{
                        subType:"PROPERTY",
                        subTypeName:"物业费",
                        instName:share.selectedOrgan.instName,
                        instId:share.selectedOrgan.instId,
                        // groupId:groupId,
                        groupName:$scope.groupTagName,
                        bizCode:"SD-DONGYING-PRO",
                        number:share.detail.communityName+share.detail.buildingCode+share.detail.unitCode+share.detail.homeCode,
                        // personName:$scope.personNameInput.value,
                        personName:$scope.accountNumInput.value,
                        vcardNo:updVcardNo,
                    }};
                // UmsApi.notification.tip(JSON.stringify(queryParams));
                Tools.fillAndRequestFromNet("gateway/vcard/update", queryParams, function (response) {
                    // UmsApi.notification.tip(JSON.stringify(response));
                    // 修改成功后跳转到账单页面
                    share.detail.vcardNo=updVcardNo;
                    queryPayInfo();
                    // $timeout(function () {
                    //     share.viewFlag='payment';
                    //     $location.path("paymentInfo");
                    // });


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            // 绑定用户账号
            function bindVcard() {
                var userId = UmsApi.globalization.getUserInfo().userId;
               // var groupId=share.selectedGroupTag.groupId;
               var vcardNo=share.detail.communityId+"_"+share.detail.communityName+"_"+share.detail.buildingCode+"_"+share.detail.buildingName+"_"+share.detail.unitCode+"_"+share.detail.unitName+"_"+share.detail.homeCode+"_"+share.detail.homeName;
               // var number=JSON.stringify({"personName":$scope.personNameInput.value,
               // var number=''+$scope.personNameInput.value+'*'+$scope.accountNumInput.value;
                var queryParams = {
                    smkUserId:userId,
                    vcardType:'0002',
                    vcardNo:vcardNo,
                    propJson: {
                        subType: "PROPERTY",
                        subTypeName:"物业费",
                        instName: share.selectedOrgan.instName,
                        instId: share.selectedOrgan.instId,
                        // groupId: groupId,
                        groupName: $scope.groupTagName,
                        // "number": number,
                        bizCode:"SD-DONGYING-PRO",
                        number:share.detail.communityName+share.detail.buildingCode+share.detail.unitCode+share.detail.homeCode,
                        personName:$scope.accountNumInput.value,
                        vcardNo:vcardNo,
                    }
                };
                // UmsApi.notification.tip(JSON.stringify(queryParams));

                Tools.fillAndRequestFromNet("gateway/vcard/group/bind", queryParams, function (response) {

                    // 查询账单
                    queryPayInfo();


                }, function (response) {
                    UmsApi.notification.toast(response.errInfo);
                });

            }

            function queryPayInfo() {
                var queryParams = {
                    instId:share.selectedOrgan.instId,
                    personName:$scope.accountNumInput.value,
                    personId:share.detail.communityName+share.detail.buildingCode+share.detail.unitCode+share.detail.homeCode,
                    payState:"0"
                   };
                Tools.fillAndRequestFromNet("gateway/orderProperty/queryPayInfo", queryParams, function (response) {
                    share.detail.personName=response.personName;
                    share.detail.personId=response.personId;
                    share.detail.appMid=response.appMid;
                    share.detail.appTid=response.appTid;
                    share.detail.orderList=response.detail;
                    $timeout(function () {
                        share.viewFlag='payment';
                        share.billShow=true;
                        $location.path("paymentInfo");
                    });


                }, function (response) {
                    // 查询到无账单情况
                    if(response.errCode=='9994'){
                        share.detail.personId=share.detail.communityName+share.detail.buildingCode+share.detail.unitCode+share.detail.homeCode;
                        $timeout(function () {
                            share.viewFlag='payment';
                            share.billShow=false;
                            $location.path("paymentInfo");
                        });
                    }else{
                        UmsApi.notification.toast(response.errInfo);
                    }

                });

            }


        }])

        //分组列表页面controller
        .controller("groupTagListController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            // 首页返回至app页面
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.groupTagList=share.groupTagList;
            $scope.activeGroupTagIndex=share.activeGroupTagIndex;
            // 当前选中的标签
            var tagIndex=$scope.activeGroupTagIndex;
            $scope.selectGroupTag=function(index){
                console.log(index);
                $scope.activeGroupTagIndex=index;
                tagIndex=index;

            };
            $scope.defineTag='';
            // 确认按钮
            $scope.confirmTagAccount = {
                buttonText: "下一步",
                isButtonEnabled: true,
                onButtonClick: function () {
                    console.log($scope.defineTag);
                    if(tagIndex=='other'){
                      if($scope.defineTag==''){
                          UmsApi.notification.tip("分组名称不能为空");
                      }else{
                          // 添加标签
                          var tagName=$scope.defineTag;
                          $timeout(function () {
                       addGroupTag(tagName);
                          },20);



                      }
                    }else{
                        share.activeGroupTagIndex=tagIndex;
                        share.selectedGroupTag=(share.groupTagList)[tagIndex];
                        $timeout(function () {
                            UmsApi.page.SPABack(1);
                        });
                    }

                }
            };
            $scope.$watchGroup(["defineTag"], function (newValue, oldValue) {
                $scope.defineTag=newValue[0].replace(/[^0-9a-zA-Z\u4e00-\u9fa5]+$/g,'');


            });
            function addGroupTag(name){
                  var len=$scope.groupTagList.length;
                  var ifExistTag=false;
                  for(var i=0;i<len;i++){
                      if(name==$scope.groupTagList[i].groupName){
                           ifExistTag=true;
                           break;
                      }

                }
                if(ifExistTag){
                    UmsApi.notification.tip("该分组已经存在");
                }else{
                    var newTag={'groupName':name};
                    share.groupTagList.push(newTag);
                    var newTagLen=share.groupTagList.length-1;
                    share.activeGroupTagIndex=newTagLen;
                    share.selectedGroupTag=share.groupTagList[newTagLen];
                    $timeout(function () {

                        UmsApi.page.SPABack(1);
                    },20);
                }

            }

        }])

        //缴费页面controller
        .controller("paymentInfoController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            $scope.Return = function () {
                if(share.viewFlag =='payment'){
                    UmsApi.page.SPABack(1);
                }else{
                    UmsApi.page.backToNativeHome();
                }

            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
         $scope.billShow=share.billShow;
         $scope.paymentOrgan=share.selectedOrgan.instName;
         $scope.paymentPersonId=share.detail.personId;
         $scope.paymentPersonName='*'+share.detail.personName.substr(1);
         $scope.orderList=share.detail.orderList;
         $scope.activeOrdexIndex=0;
         $scope.orderConfirm=$scope.orderList[0];
         $scope.switchOrder=function(index){
             $scope.activeOrdexIndex=index;
             $scope.orderConfirm=$scope.orderList[index];
         };
            // 确认按钮
            $scope.confirmPay= {
                buttonText: "立即缴费",
                isButtonEnabled: true,
                onButtonClick: function () {
                    // UmsApi.notification.tip(JSON.stringify($scope.orderList));
                    // UmsApi.notification.tip(JSON.stringify(UmsApi.globalization.getUserInfo()));
                    // var isAuth = UmsApi.globalization.getUserInfo().isAuth;
                    // // if(isAuth!='11'){
                    // if(isAuth=='9'){
                    //     UmsApi.notification.dialog("0","提示","使用该业务需要先实名认证，请先实名认证","取消,确定",function(data){
                    //         if(data.bizData.selectIndex === "1"){
                    //             UmsApi.page.forwardNativePage('native_real_name_certification');
                    //         }
                    //     });
                    //
                    // }else{
                    //     businessOrder();
                    // }

                    businessOrder();
                }
            };
            function businessOrder() {
                    var userId=UmsApi.globalization.getUserInfo().userId;
                    var phoneNo=UmsApi.globalization.getUserInfo().mobile;
                  var orderMoney=''+(Number($scope.orderConfirm.money)*100).toFixed(0);
                    var queryParams = {
                        // contId:"649579574999",
                        spInstCode:"1001",
                        billKey:"00000",
                        contId:$scope.paymentPersonId,
                        merOrderId:$scope.orderConfirm.orderId,
                        mid:share.detail.appMid,
                        orderAmt:orderMoney,
                        payAmt:orderMoney,
                        tid:"00000001",   //
                        tradSrc:"P",
                        phoneNo:phoneNo,
                        userId: userId,
                        // instMid:"APPDEFAULT",
                        // orderTitle:"济宁市自来水缴费"
                    };
                    // var queryParams = { userName: userName,contId:orderId,orderAmt:amount,payAmt:amount,billKey:"00000",spInstCode:"1001",tid:"00000001",mid:"898370565130272",tradSrc:"P"};
                // UmsApi.notification.tip(JSON.stringify(queryParams));
                    Tools.fillAndRequestFromNet("gateway/order/pubp/placeOrder", queryParams, function(data) {
                        UmsApi.notification.tip("下单成功！");

                        nativePayWidget(data,orderMoney);

                    }, function(data) {
                        UmsApi.notification.toast(data.errInfo);
                    });
            }
            function nativePayWidget(data,amount) {

                    var param = data;
                    param.FastPay = share.detail.appMid;
                    param.FastPayMcc = "4900";
                    param.FastPayMrchName = share.selectedOrgan.instName;
                    param.UnionPay = "898370849000201";   //
                    param.tid = share.detail.appTid;  
                    param.instMid = "APPDEFAULT";
                    param.AliPay = "898370849000201";  //
                    // param.WxPay = "898370849000201";
                    param.totalAmount = amount;

//             UmsApi.notification.tip(JSON.stringify(param));
                    UmsApi.page.processUnifyPay(param, function(data) {
                        $timeout(function() {
                            $location.path("pay-result");
                        });
                    }, function(data) {
                        share.payResult.success = false;
                        share.payResult.errInfo = data.errInfo;
                        // UmsApi.notification.tip(JSON.stringify(data));

                        $timeout(function() {
                            $location.path("pay-result");
                        });
                    });

            }


        }])


        //无账单页面controller
        .controller("paymentUnBillController", ["$scope", "$http", "$q", "$location", "$timeout", "share", function ($scope, $http, $q, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };


        }])


        .controller("PayResultController", ["$scope", "share", function($scope, share) {
            //UmsApi.notification.setTitle("交易结果");
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };
            $scope.paySuccess = share.payResult.success;

            $scope.payResultSuccess = {
                payResult: "success",
                payResultMsg:"交易成功"
            };

            $scope.payResultFailure = {
                payResult: "failure",
                payResultMsg:"交易失败",
                errInfo:share.payResult.errInfo,
            };


        }])


        //如何查户号
        .controller("checkHelpController", ["$scope", "$location", "$timeout", "share", function ($scope, $location, $timeout, share) {
            $scope.Return = function () {
                UmsApi.page.SPABack(1);
            };
            $scope.indexReturn = function () {
                UmsApi.page.backToNativeHome();
            };


        }])


        .value("share", {
            // 页面标记
            viewFlag:'',
            // 修改账号标记
            updateVcard:'',
            // 机构列表
            organList:'',
          // organList:[{
          //     "instId": "12345",
          //     "instName": "济宁桑华热力工程"
          // },{
          //     "instId": "123",
          //     "instName": "济宁桑华热力工程2"
          // }],
            activeOrganIndex:'unable',
            // 选中后的机构信息
            selectedOrgan:{
                instName:'',
                instId:''
            },
            // 户号
            number:"",
            // 自定义分组列表
            groupTagList:'',
            // groupTagList:[{name:"我家",code:"01"},{name:"父母",code:"02"},{name:"房东",code:"04"},{name:"朋友",code:"05"}],
            // 选中后的分组信息
            selectedGroupTag:{
                groupName:'',
                groupId:'',
            },
            activeGroupTagIndex:'',
            // 选择项信息
            userSelectInfo:{
                communityInfo:{
                    villageName:'',
                    villageId:'',
                },
                buildingInfo:{
                    buildName:'',
                    buildId:'',
                },
                unitInfo:{
                    unitName:'',
                    unitId:'',
                },
                houseNumInfo:{
                    homeName:'',
                    homeId:'',
                },
            },
            // billShow:'',
            billShow:true,
            //账单查询结果详情
            detail:{
                villageId:'',
                buildId:'',
                unitId:'',
                homeId:'',
                communityId:'',
                vcardNo:"",
                personId:'',
                personName:'',
                orderList:[],
                communityName:'',
                buildingCode:'',
                buildingName:'',
                unitCode:'',
                unitName:'',
                homeCode:'',
                homeName:'',
                appMid:'',
                appTid:'',
                // orderList:[{
                //     "money": "0.01",
                //     "orderId": "92390428774768640",
                //     "orderName": "9月物业费"
                // },{
                //     "money": "0.01",
                //     "orderId": "92390428774768640",
                //     "orderName": "9月物业费"
                // }],

            },
            payResult: {
                success: true,
                errInfo: ""
            },
            groupTagFlag:'',
        });
});