define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-debit-card-button-group", [])
        .directive("umsDebitCardButtonGroup", function() {
            function link(scope, elem, attrs, ctrl) {
                scope.model.onAddButtonClick = scope.model.onAddButtonClick || function() {
                    if (!Tools.data.check.isEmpty(scope.model.onAddButtonClickAppend)) {
                        scope.model.onAddButtonClickAppend();
                    }
                };

                scope.model.onDeleteButtonClick = scope.model.onDeleteButtonClick || function() {
                    if (!Tools.data.check.isEmpty(scope.model.onDeleteButtonClickAppend)) {
                        scope.model.onDeleteButtonClickAppend();
                    }
                };
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-debit-card-button-group">'
                        +     '<div class="ums-debit-card-button-add" '
                        +         'ng-click="model.onAddButtonClick()">'
                        +     '</div>'
                        +     '<div class="ums-debit-card-button-delete" '
                        +         'ng-click="model.onDeleteButtonClick()">'
                        +     '</div>'
                        + '</div>',
                link: link
            };
        });
});