define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-image", [])
        .directive("umsImage", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                scope.model.imageName = attrs.imageName || scope.model.imageName;
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-image">'
                        +     '<img ng-src="images/{{model.imageName}}" alt="图片">'
                        + '</div>',
                link: link
            };
        }]);
});