define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-single-line-radio-group", [])
        .directive("umsSingleLineRadioGroup", function() {
            function link(scope, elem, attrs, ctrl) {

                    scope.model.options = scope.model.options || function(option) {
                        if (!Tools.data.check.isEmpty(scope.model.optionsAppend)) {
                            scope.model.optionsAppend(option);
                        }
                    };
                    scope.model.checkOption = scope.model.checkOption || function(option) {
                            if (!Tools.data.check.isEmpty(scope.model.checkOptionAppend)) {
                                scope.model.checkOptionAppend(option);
                            }
                    };
                    if(scope.model.isTop)$(elem).css("border-top","0px solid transparent");
            }


            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-single-linde-radio-group">'
                         +   '<div class="infoRadio">'
                         +      '<div class="radio" ng-repeat="option in model.options" ng-click="model.checkOption($index)">'
                         +          '<span ng-class="{true: \'radio_select\', false: \'radio_unselect\'}[option.isChecked]" ng-bind="option.label"></span>'
                         +       '</div>'
                         +    '</div>'
                         +'</div>',
                link: link
            };
        });
});
