define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-slide-warning", [])
        .directive("umsSlideWarning", ["$timeout", function($timeout) {
            function link(scope, elem, attrs, ctrl) {
                scope.model.slide = function() {
                    elem.slideDown(500);

                    $timeout(function() {
                        elem.slideUp();
                    }, 2000);
                };
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-slide-warning">'
                        +     '<span>{{model.warningMsg}}</span>'
                        + '</div>',
                link: link
            };
        }]);
});