define(["angular", "tool"], function () {
    "use strict";
    return angular.module("ums-ticket-info", [])
        .directive("umsTicketInfo", function() {
            function link(scope, elem, attrs, ctrl) {

            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-ticket-info">'
                        +     '<div class="ums-ticket-info-h50">'
                        +         '<span class="ums-ticket-info-fl">出发日期: '
                        +             '<b>{{model.drvDateTime}}</b>'
                        +         '</span>'
                        +         '<span class="ums-ticket-info-fr">{{model.passId}}检票口</span>'
                        +     '</div>'
                        +     '<div class="ums-ticket-info-separator"></div>'
                        +     '<div class="ums-ticket-info-h50">'
                        +         '<span class="ums-ticket-info-fl">车次: '
                        +             '<b>{{model.schId}}</b>'
                        +         '</span>'
                        +         '<span class="ums-ticket-info-fr">'
                        +             '{{model.carryStaName}}'
                        +             '<span class="ums-ticket-info-from-to"></span>'
                        +             '{{model.endStaName}}'
                        +         '</span>'
                        +     '</div>'
                        +     '<div class="ums-ticket-info-separator"></div>'
                        +     '<ul class="ums-ticket-info-price-details">'
                        +         '<li><p>等级</p><p>{{model.busTypeName}}</p></li>'
                        +         '<li><p>票价</p><p>{{model.fullPrice}}</p></li>'
                        +         '<li><p>保险</p><p>￥0</p></li>'
                        +         '<li><p>手续费</p><p>￥{{model.fee || 0.00}}</p></li>'
                        +         '<li><p>余票</p><p>{{model.amount}}</p></li>'
                        +     '</ul>'
                        + '</div>',
                link: link
            };
        });
});