define(["angular", "tool"], function() {
    "use strict";
    return angular.module("ums-transaction-list", [])
        .directive("umsTransactionList", ["$compile", function($compile) {
            function link(scope, elem, attrs, ctrl) {
                scope.$watchCollection("model.dataList", function(newValue, oldValue) {
                    if (scope.model.dataList.length > 0) {
                        scope.listShow = true;
                    }
                });
            }

            return {
                restrict: "E",
                replace: true,
                scope: {
                    model: "="
                },
                template: '<div class="ums-transaction-list" ng-show="listShow">'
                		+ 	  '<div class="ums-transaction-list-item" ng-repeat="item in model.dataList">'
                		+		  '<div class="ums-transaction-list-item-detail" ng-repeat="detail in item.details">'
                		+			  '<span>{{detail.name}}</span>'
                		+			  '<span>{{detail.value}}</span>'
                		+		  '</div>'
                		+     '</div>'
                        + '</div>',
                link: link
            };
        }]);
});